-------------------------------
FOP2 Version 2.30.06
-------------------------------

date:        Tue Mar 29 10:20:38 2016 -0300
summary:     Added timeralarm plugin to repository

date:        Tue Mar 29 10:20:22 2016 -0300
summary:     Callflow plugin does not check for time condition feature codes, only for call flow feature codes now.

date:        Tue Mar 29 10:17:04 2016 -0300
summary:     Add failed response to checkauth. Discards peerstatus unregistered states if manager server is not the same as the last good registered server. This way sip qualify works in mirta style setups, where an extension can be registered on any server on a cluster.

date:        Tue Mar 29 10:15:14 2016 -0300
summary:     Do not spam/loop setvar when there is a problem. Improve setvar.log debug if SESSIONDEBUG is true

date:        Tue Mar 22 18:27:13 2016 -0300
summary:     Be sure to not skip first pagination on contacts as initial index is -1. Fix bug where first page in contacts is skipped

date:        Fri Mar 18 19:22:52 2016 -0300
summary:     Update tag queue calls to 1.0.3 with clid display on complete window and nicer fade out effect

date:        Fri Mar 18 18:57:35 2016 -0300
summary:     Modify grid stack setting risizing grid to zero so we save grid after draging elements around for sure

date:        Mon Mar 14 16:36:27 2016 -0300
summary:     Do not require populated non empty secret to hangup or set presence info

date:        Mon Mar 14 15:40:58 2016 -0300
summary:     Update changepresence plugin to allow selection of 'other' state

date:        Fri Mar 11 17:48:51 2016 -0300
summary:     Update followme plugin to 1.0.8, making sure to enable edit on other extensions and not save multiple times due to event overloading, with the risk of saving another extension data

date:        Fri Mar 11 12:52:15 2016 -0300
summary:     Do not remove local2channel or channel2local on state ringing as we might need them for connect popups later on. Fix agentconnect not firing always on Asterisk 13 because of out of order events.

date:        Fri Mar 11 08:29:57 2016 -0300
summary:     Try to set variable with Auth before timer with regular failed session, to avoid flood/setvar loop on expired sessions

date:        Fri Mar 11 08:29:16 2016 -0300
summary:     Remove tmp file debug on plugin install in the FOP2 Manager

date:        Wed Mar 09 12:41:00 2016 -0300
summary:     Update browser plugin to 1.0.2, allowing hide controls and url bar

date:        Tue Mar 08 12:29:48 2016 -0300
summary:     Update greek translation for call history

date:        Tue Mar 08 09:00:09 2016 -0300
summary:     Add Greek translation to FOP2 Manager

date:        Tue Mar 08 08:54:28 2016 -0300
summary:     Translate default group names in the templates manager page

date:        Mon Mar 07 23:11:28 2016 -0300
summary:     Add 'ip addr' support for mac check in FOP2 server, so it works on newer Centos

date:        Mon Mar 07 20:07:53 2016 -0300
summary:     Remove non selected text in tag queue calls to avoid having to translate to every language, just leave it empty

date:        Mon Mar 07 20:07:04 2016 -0300
summary:     Translate default group names in users and templates in the FOP2 Manager

date:        Thu Mar 03 14:37:39 2016 -0300
summary:     Allow search to work after click2call in contacts


-------------------------------
FOP2 Version 2.30.05
-------------------------------

date:        Wed Mar 02 22:28:49 2016 -0300
summary:     Changes on filter and grid to avoid saving position while hidding/moving divs on filter. Seems to fix the problem of wrong auto arrange after filtering

date:        Wed Mar 02 18:36:45 2016 -0300
summary:     Update Tag Queue Calls to 1.0.2 including support for UserEvent so we can open it up on outbound calls with UserEvent AgentComplete

date:        Wed Mar 02 17:34:05 2016 -0300
summary:     Prevent warning on sort in FOP2 manager

date:        Mon Feb 29 17:33:18 2016 -0300
summary:     Update hebrew translation

date:        Mon Feb 29 17:33:00 2016 -0300
summary:     Cast char 50 in odbc to not truncate results as char 1 depending on the mysql version and fixing some voicemail issues

date:        Mon Feb 29 17:32:27 2016 -0300
summary:     Let the FOP2 Manager sync extension labels in freepbx automatically

date:        Mon Feb 22 19:16:09 2016 -0300
summary:     Make section plugin config respect types and formats also in FOP2 Manager

date:        Fri Feb 19 19:27:31 2016 -0300
summary:     Fix typo in checkidir.hp to show the group image for a queue call

date:        Fri Feb 19 12:34:49 2016 -0300
summary:     Make dial box results show lots of results with scrolling instead of only five

date:        Wed Feb 17 18:36:58 2016 -0300
summary:     Update queue alarm plugin to include sound alert and update to version 1.0.1

date:        Wed Feb 17 18:35:28 2016 -0300
summary:     Update autowrapup plugin so it works with Asterisk 13

date:        Thu Feb 11 18:35:19 2016 -0300
summary:     Fix autoconfig users so multi tenant use groups with context_id limit to not mix groups from other contexts/tenants

date:        Thu Feb 11 18:18:10 2016 -0300
summary:     Update fop2PermGroup table so unique index included context_id so it works in multi tenant

date:        Wed Feb 10 19:17:12 2016 -0300
summary:     Make callhistory plugins and module refresh automatically every 5 seconds if not allowed, in the hope that session will be restored. Change setvar so it retries if there is a problem or out of order events. It might probably fix session errors due to slow servers.

date:        Wed Feb 10 15:48:43 2016 -0300
summary:     Update callflow plugin to support newer timeocondition module in FreePBX

date:        Wed Feb 03 18:28:37 2016 -0300
summary:     Fix version display when rejecting registration due to version

date:        Wed Feb 03 18:19:38 2016 -0300
summary:     Set queue alarm plugin to use configured SLA in queue in asterisk as alarm time. Needs to make this configurable via checkbox or similar

date:        Wed Feb 03 18:19:12 2016 -0300
summary:     Update mirta manager functions to use extrachannel with underscore

date:        Fri Jan 29 23:58:25 2016 -0300
summary:     Fix contacts.php infinite scroll with search

date:        Thu Jan 28 19:00:51 2016 -0300
summary:     Add another array with dictionary queues but using only queue name with no ^server to use that in fromqueue events for notifications

date:        Thu Jan 28 19:00:11 2016 -0300
summary:     cast id as char in odbc queries as odbc returns funky things on mixed distros. fix issue with mirta

date:        Thu Jan 28 16:08:41 2016 -0300
summary:     Update on Thirdlane FOP2 Manager functions

date:        Wed Jan 27 23:52:18 2016 -0300
summary:     Update MiRTA plugin to 1.0.1

date:        Wed Jan 27 23:48:16 2016 -0300
summary:     support for initialqueuestatus called from MiRTA plugin so queue status is taken into account every time to reflect into the queue buttons

date:        Thu Jan 21 19:10:09 2016 -0300
summary:     Another fix for waiting queue calls when they are attendant transfer into the queue.. queueentry events should not add a waiting call if uniqueid is already there

date:        Wed Jan 20 18:46:49 2016 -0300
summary:     Check for null or empty in direct dial voicemail featurecode table to get the vm prefix in the FOP2 Manager

date:        Wed Jan 20 17:33:25 2016 -0300
summary:     Allow 4 digits as minimum lenght for matching extensions in Chrome plugin

date:        Wed Jan 20 10:11:30 2016 -0300
summary:     Fix admin muted on conference buttons. No admin shows correct icon.

date:        Mon Jan 18 19:59:07 2016 -0300
summary:     Clear queue members when a REFRESHQUEUE event is received

date:        Mon Jan 18 19:58:51 2016 -0300
summary:     Set password to extension if there is no web password for Mirta Users

date:        Sat Jan 16 12:34:44 2016 -0300
summary:     decode base64 url in notify lib so url from desktop notify is decoded correctly

date:        Thu Dec 31 15:49:43 2015 -0300
summary:     Update FOP2 Manager SQLITEDB so it actually works

date:        Wed Dec 30 20:10:32 2015 -0300
summary:     Pass uniqueid on LEAVE event from queue to account for renamed channels when a supervised transfer is done to a queue

date:        Wed Dec 30 14:54:45 2015 -0300
summary:     Remove extra EOL on pickupRinging action with pickupmark context

date:        Wed Dec 30 14:49:31 2015 -0300
summary:     Use auto answer on pickup from park, also set override_redirect_context to do the proper with redirect actions

date:        Tue Dec 29 15:51:20 2015 -0300
summary:     Update followme plugin to 1.0.7 with allowance of 0,1,2,3 in ring first

date:        Tue Dec 29 15:51:00 2015 -0300
summary:     Update email in update conf in manager automagically

date:        Wed Dec 23 17:44:58 2015 -0300
summary:     Add pre ring to follow me plugin to start from 0


-------------------------------
FOP2 Version 2.30.04
-------------------------------

date:        Wed Dec 23 14:19:14 2015 -0300
summary:     Be sure to query meetme/conference with correct case. Do the same for meetme actions.

date:        Tue Dec 22 20:35:22 2015 -0300
summary:     Allow url punctuation on settings on FOP2 Manager to allow adding logoutUrl

date:        Tue Dec 22 15:22:20 2015 -0300
summary:     Resize grid when filtering, to avoid big empty widget windows

date:        Tue Dec 22 10:50:11 2015 -0300
summary:     Fix FOP2 Manager logout translation in french

date:        Tue Dec 22 10:42:21 2015 -0300
summary:     Update contacts.php and contacts.js to use ajax loading and search

date:        Fri Dec 18 10:08:28 2015 -0300
summary:     Do not clear queue members on QueueParams event. Fixes bug when sometimes queue members are truncated

date:        Thu Dec 17 09:22:36 2015 -0300
summary:     Update simplewallboard so 1x1 grid works on 2.30. Updated to 1.0.4 version

date:        Fri Dec 11 17:25:40 2015 -0300
summary:     Update queuelogin plugin to unset fop2states if presence pause plugin was enabled

date:        Fri Dec 11 17:25:09 2015 -0300
summary:     Set variable for presence pause plugin so we can detect if its being used from other plugins like the queuelogin

date:        Fri Dec 04 16:57:04 2015 -0300
summary:     Update elastix MT functions so it works with new tenant enable/disable page

date:        Thu Dec 03 18:51:20 2015 -0300
summary:     Force set names utf8 for mysql on FOP2 Manager 


-------------------------------
FOP2 Version 2.30.03
-------------------------------

date:        Wed Dec 02 10:21:57 2015 -0300
summary:     Update callflow plugin to add invert yes/no option valid for 2.30 only

date:        Mon Nov 30 19:35:38 2015 -0300
summary:     Do a pull for queue status when a sip peer status is received, to refresh unavailable members if they register

date:        Mon Nov 30 19:33:02 2015 -0300
summary:     Update idle timer plugin to reset on failed outbound calls

date:        Mon Nov 30 19:31:55 2015 -0300
summary:     Allow # or * to dial function, so they can be used by speed dial plugin

date:        Thu Nov 26 17:07:24 2015 -0300
summary:     Fixes in FOP2 Manager multi tenant for MiRTA

date:        Wed Nov 25 19:03:40 2015 -0300
summary:     Flash whole screen on queue alarm plugin, when alarm time is reached

date:        Mon Nov 09 19:27:02 2015 -0300
summary:     Add double click on clid to copy to clipboard on FOP2 web gui

date:        Mon Nov 09 19:24:07 2015 -0300
summary:     Escape data on FOP2 user update queries in FOP2 Manager

date:        Mon Nov 09 16:34:33 2015 -0300
summary:     Update call history plugin so it refreshes correctly on 2.30 and up

date:        Mon Nov 09 16:33:37 2015 -0300
summary:     Update clock plugin so it shows on 2.30 when there is no action buttons defined

date:        Mon Nov 09 16:32:58 2015 -0300
summary:     Update simple wallboard plugin to work well with 2.30 onwards

date:        Thu Nov 05 19:27:48 2015 -0300
summary:     Replace quicksearch in contacts.php to a faster version, suitable for thousand entries

date:        Thu Nov 05 19:27:27 2015 -0300
summary:     Add MiRTA version of callhistory grid plugin

date:        Thu Nov 05 15:25:14 2015 -0300
summary:     Update asmanager library in FOP2 Manager so it does not wait for response on UserEvent on older asterisk versions

date:        Thu Nov 05 09:50:04 2015 -0300
summary:     Modify filter and agent filter so it moves boxes to try to fill the gaps, and restore them in original positions where there is no filter set


-------------------------------
FOP2 Version 2.30.02
-------------------------------

date:        Wed Nov 04 17:03:23 2015 -0300
summary:     Add mising context page in FOP2 Manager. Fix query for multi tenant in autoconfig buttons

date:        Tue Nov 03 15:55:30 2015 -0300
summary:     Be sure actions are sent to AMI and not ESL when no fsesl defined

date:        Tue Nov 03 15:01:49 2015 -0300
summary:     Bump FOP2 Manager to 1.1.0

date:        Tue Nov 03 15:00:48 2015 -0300
summary:     Fix alertify prompt on FOP2 Manager

date:        Tue Nov 03 14:59:18 2015 -0300
summary:     Update browser plugin to support multiple windows version 1.0.1

date:        Thu Oct 29 13:27:11 2015 -0300
summary:     Add textarea formats with codemirror editor for FOP2 Manager, so we can have nice looking editors for tempaltes

date:        Thu Oct 29 13:25:42 2015 -0300
summary:     Make transfer to mailbox and transfer external use mailbox and external numbers to dial when not busy

date:        Wed Oct 28 14:11:45 2015 -0300
summary:     Update fop2button table definitions for create statements

date:        Wed Oct 28 13:36:25 2015 -0300
summary:     Functions custom in FOP2 Manager will discard templates definitions from sip.conf

-------------------------------
FOP2 Version 2.30.01
-------------------------------

date:        Tue Oct 27 10:48:11 2015 -0300
summary:     Update autoconfig users script adding option to exclude FOP2 to context on multi tenant systems

date:        Tue Oct 27 10:34:14 2015 -0300
summary:     Add tenant enable/disable to FOP2 Manager for multi tenant systems. Bump version to 1.0.9 

date:        Mon Oct 26 20:55:31 2015 -0300
summary:     Set default preferences for all contexts on startup

date:        Mon Oct 26 19:49:29 2015 -0300
summary:     Create default settings for all contexts in FOP2 server at startusp

date:        Mon Oct 26 19:27:00 2015 -0300
summary:     Update Makefile to try to detect user/group asterisk/apache/www-data and backup numbered config.php instead of replace

date:        Mon Oct 26 16:27:55 2015 -0300
summary:     Added Mass Update option via CSV files to the FOP2 Manager Buttons page

date:        Mon Oct 26 16:18:05 2015 -0300
summary:     Update FOP2 Manager alertifyjs library and change calls accordingly

date:        Fri Oct 23 12:32:54 2015 -0300
summary:     Add send button to FOP2 dialpad and make sure it works

date:        Fri Oct 23 11:45:29 2015 -0300
summary:     Allow transfer to mailbox and transfer to mobile to perform call origination instead of transfer if user is not on a call and clicks on the action button

date:        Fri Oct 23 10:40:57 2015 -0300
summary:     Update FOP2 Manager users page to allow filter/search users in realtime

date:        Fri Oct 23 10:40:41 2015 -0300
summary:     Update Chrome extension to 1.1.0. Add click to call on extensions buttons, get content for notifications via ajax, and configurable protocol handler

date:        Thu Oct 22 12:28:18 2015 -0300
summary:     Add initial support for FreeSWITCH

date:        Wed Oct 21 18:05:57 2015 -0300
summary:     Fix typo sslproxy in fop2.cfg

date:        Wed Oct 21 16:45:17 2015 -0300
summary:     Update french translation on js files 

date:        Mon Oct 19 18:42:19 2015 -0300
summary:     Update french php translation file (cdr history, and contacts)

date:        Mon Oct 19 18:18:26 2015 -0300
summary:     Add missing translations for contacts.php and lang/xx files

date:        Fri Oct 16 16:53:58 2015 -0300
summary:     Updates on thirdlane multi tenant support in FOP2 Manager to have correct context for extensions

date:        Wed Oct 14 21:03:20 2015 -0300
summary:     Update buttons page in FOP2 Manager to show pagination section only if there is more than one page

date:        Wed Oct 14 16:36:12 2015 -0300
summary:     Updated portuguese and french translations in FOP2 client side

date:        Tue Oct 13 17:04:25 2015 -0300
summary:     Fix callhistory plugin for 2.30 in inbound tab

date:        Sat Oct 10 14:46:56 2015 -0300
summary:     Update french translation, some fixes contributed by Sylvain Gomez

date:        Fri Oct 09 11:57:13 2015 -0300
summary:     Set Current Call to zero on queue member added, because if member is removed while on a call, timer will resume when readded

date:        Thu Oct 08 20:01:47 2015 -0300
summary:     Update ESL library, better parsing of events, for freeSWITCH 

date:        Wed Oct 07 10:16:00 2015 -0300
summary:     Fix icon for contacts drop down, so it shows.. there is no options-vertical in font awesome

date:        Tue Oct 06 11:35:52 2015 -0300
summary:     Be sure current call timer is defined on queuemember

date:        Tue Oct 06 11:33:43 2015 -0300
summary:     Fixes for ODBC voicemail for longtruncok and readlen, remove some print debug and avoid warning on queuemember for wallboard timers

date:        Mon Oct 05 15:39:10 2015 -0300
summary:     Fix recreate default groups for multitenants in FOP2 Manager

date:        Fri Oct 02 13:48:54 2015 -0300
summary:     Add listen_ip to fop2.cfg fop2 server to bind to specific IP address instead of all interfaces

-------------------------------
FOP2 Version 2.30.00
-------------------------------

date:        Wed Sep 30 20:36:12 2015 -0300
summary:     Allow asterisk symbol on click to call number display in call history plugin 

date:        Wed Sep 30 20:27:39 2015 -0300
summary:     Added Presence DND Plugin for Elastix MT

date:        Tue Sep 29 19:08:17 2015 -0300
summary:     Experimental support for FreeSWITCH

date:        Tue Sep 29 11:44:00 2015 -0300
summary:     Update translation to spanish for FOP2 Manager settings page

date:        Tue Sep 29 11:02:17 2015 -0300
summary:     Use correct DB seek on FOP2 Manager menu

date:        Tue Sep 29 11:02:01 2015 -0300
summary:     Fix typo on reactivate message

date:        Tue Sep 29 11:01:48 2015 -0300
summary:     Use hidden iframe instead of form to download files to avoid firefox from breaking websocket on modal dialog

date:        Mon Sep 28 14:36:38 2015 -0300
summary:     Send qualify ok on userdevice added UserEvent instantly, and not wait for a Hangup.

date:        Sat Sep 26 22:43:49 2015 -0300
summary:     More compatibility with Asterisk 13, Agent events for agentcalled, complete and connect work as expected

date:        Wed Sep 23 17:56:37 2015 -0300
summary:     Update callhistory to display dialed number in outbound tab instead of clid

date:        Wed Sep 23 17:35:13 2015 -0300
summary:     Remove warnings from call history plugin

date:        Wed Sep 23 17:33:00 2015 -0300
summary:     Prevent undeclared variable warning from dbgrid.php

date:        Wed Sep 23 15:44:58 2015 -0300
summary:     Use database result parameter for seek method on db class instead of last result, both on FOP2 and FOP2 Manager. 

date:        Wed Sep 23 12:12:02 2015 -0300
summary:     Allow use of (templates) in sip.conf for functions astdb extension matches in the FOP2 Manager

date:        Wed Sep 23 11:09:25 2015 -0300
summary:     Fix voicemailadmin permission for restricted permissions.

date:        Tue Sep 22 13:54:03 2015 -0300
summary:     Be sure to remove talking marking on conference member when is muted

date:        Mon Sep 21 15:04:15 2015 -0300
summary:     Do not reset plugin variables on reload

date:        Wed Sep 16 22:25:40 2015 -0300
summary:     Add consoleDebug on settings, add support for encoded fields in plugins ini settings

date:        Wed Sep 16 22:14:21 2015 -0300
summary:     Set consoleDebug on client.. add dust helper formula for math evaluation

date:        Tue Sep 15 12:21:50 2015 -0300
summary:     Allow only hardcoded valid settings on FOP2_server to be set to js client so to not overwrite functions or other global vars by mistakes in the FOP2settings table

date:        Thu Sep 10 20:17:47 2015 -0300
summary:     Add consoleDebug to FOP2 server as valid setting on client. Stop update_conf.php if not called from cli. Remove debug in queuestats plugin

date:        Thu Sep 10 10:07:17 2015 -0300
summary:     Avoid error on selectpicker on boot when setting background color in presence if element is not defined

date:        Wed Sep 09 17:04:30 2015 -0300
summary:     Update config on reload and update_conf scripts. Do a reload on Channelreload and do not use print in update_conf that seems to break on some systems, also use 1st param to print debug, 2nd param to recreate users in update_conf.php

date:        Wed Sep 09 17:02:46 2015 -0300
summary:     Clear clid in bridgpopup plugin after a notification so to not show the same clid on a new call that has no clid, like outbound calls

date:        Wed Sep 09 17:02:00 2015 -0300
summary:     Do not return anything from checkdir if clid is undefined, this is to prevent outbound call connect events with the bridgepopup plugin

date:        Wed Sep 09 10:54:48 2015 -0300
summary:     Add dustjs templating library

date:        Wed Sep 09 09:21:51 2015 -0300
summary:     Fix AgentCalled event looking for AgentName instead of MemberName so we can signal ringing

date:        Tue Sep 08 15:43:31 2015 -0300
summary:     Use value_in instead of simplexml_load_string that is failing for some reason for determining online FOP2 version for upgrades

date:        Fri Sep 04 15:54:40 2015 -0300
summary:     Update bootstrap select

date:        Fri Sep 04 11:34:38 2015 -0300
summary:     Add dialPrefix support for dial action on FOP2 client side. It will use the preference dialPrefix if set and not empty

date:        Fri Sep 04 11:18:01 2015 -0300
summary:     Make filter dial part of toolbar go to left when there are no visible icons on action bar and custom bar

date:        Fri Sep 04 10:42:53 2015 -0300
summary:     Set default preference dialPrefix in FOP2_server

date:        Fri Sep 04 10:36:59 2015 -0300
summary:     Fix groups translation in FOP2 Manager so in config we allway refer to english default instead of transalted that makes group config break

date:        Fri Sep 04 09:58:07 2015 -0300
summary:     Remove grid instead of hide when empty, so the layout does not have blank spots

date:        Thu Sep 03 10:14:30 2015 -0300
summary:     Group channel on peer status is only added if group channel is CUSTOM or VIRTUAL

date:        Thu Sep 03 10:11:43 2015 -0300
summary:     Make group channel for peerentry so reg status works on hotdesk or group channels on startup.. this will blow if group channel has one registered peer and one unregistered peer

date:        Wed Sep 02 23:26:35 2015 -0300
summary:     Update year in copyright

date:        Wed Sep 02 23:21:19 2015 -0300
summary:     Check on setselectedpresenceclass for backdrop color on presence to only be called if there is an actual value in it, trying to avoid a javascripot error on undefined $button at first load, where probably the function is called before the options in select are rendered and produces a javascript crash

date:        Wed Sep 02 19:10:24 2015 -0300
summary:     Initialize views array so group restriction works on first try

date:        Wed Sep 02 11:33:39 2015 -0300
summary:     Set case for plugin config for subsections also

date:        Wed Sep 02 07:46:58 2015 -0300
summary:     When log out, do not remove channelget and qchannelget on setting timer, remove them after applying timer so plugins logout routines can refer to those variables if needed

date:        Mon Aug 31 09:56:26 2015 -0300
summary:     Same logic for query unpopulated mailbox and custom to query only one by one even if there is no chan defined for them

date:        Fri Aug 28 18:47:48 2015 -0300
summary:     Add click to dial to contacts.php

date:        Fri Aug 28 14:54:26 2015 -0300
summary:     Add parking lot support to FOP2 manager for mirtaPBX

date:        Thu Aug 27 19:05:55 2015 -0300
summary:     Update set call forward plugin so it does allow to set own forward unless callforwardadmin permission is set

date:        Thu Aug 27 19:05:29 2015 -0300
summary:     Update FOP2 Manager to fix bugs for listing installed plugins and setting groups on function

date:        Thu Aug 27 17:43:17 2015 -0300
summary:     Fix sms_api_response_error checking, as it is set in the fop2.cfg file comments, instead of sms_response_error alone, it now accepts both

date:        Thu Aug 27 13:48:37 2015 -0300
summary:     Create function fop2_recreate_default_groups so we can call it from different places, not only update_conf.php

date:        Thu Aug 27 09:55:58 2015 -0300
summary:     Allow to hangup cancel transfer for TRANSFER permission instead of hangup

date:        Thu Aug 27 09:54:17 2015 -0300
summary:     Allow to cancel a supervised transfer by clicking hangup on the target button, modifications on the client to track doing transfers and link events, and on the server to allow a cortar event with a destination channel instead of a target button number

date:        Wed Aug 26 15:52:20 2015 -0300
summary:     Append # at the end of atxfer for quick transfers. If drag and drop others, do always redirect and not atxfer. Only do atxfer when drag drop my own

date:        Wed Aug 26 15:32:33 2015 -0300
summary:     Update callforward plugin to require callforwardmanager permission. Update FOP2 Manager to list only plugins on disk and not on db only

date:        Mon Aug 24 19:09:02 2015 -0300
summary:     Add tablesorter jquery extension and inclusion of it in index.html so we can use it with plugins or main fop2 client

date:        Mon Aug 24 19:07:21 2015 -0300
summary:     Add translation to waiting calls on queue summary on zbuttons draw so it shows at startup with 0 calls

date:        Mon Aug 24 16:58:21 2015 -0300
summary:     Put back presence icon background that was removed unintentionally

date:        Mon Aug 24 15:14:02 2015 -0300
summary:     Add queueactivecalls in server to track number of active calls in a queue based on agentcalled events

date:        Mon Aug 24 14:01:02 2015 -0300
summary:     Set ringing/free on agentcalled/agentringnoanswer only if not in busy before

date:        Mon Aug 24 11:31:15 2015 -0300
summary:     Unset timer on agent ringing

date:        Sat Aug 22 23:19:55 2015 -0300
summary:     Fix queue member first state, removed obsolte memberlist cache, add ringnoanser to remove ringing state and animation

date:        Sat Aug 22 19:13:18 2015 -0300
summary:     Add support for queuemember to client side, state hold, animation on ringing

date:        Sat Aug 22 19:12:02 2015 -0300
summary:     Add queuemember support to server side, tidy up source

date:        Thu Aug 20 19:39:05 2015 -0300
summary:     Set grid definition at the top of grid auto height to avoid errors if function is called before grid is defined

date:        Thu Aug 20 18:50:44 2015 -0300
summary:     Change stateinterface hint:xxxx@xxxx to SIP/xxxx, nasty but will work for now

date:        Thu Aug 20 17:42:28 2015 -0300
summary:     Remove debug

date:        Thu Aug 20 17:40:41 2015 -0300
summary:     Update queue members on hold events

date:        Thu Aug 20 14:36:28 2015 -0300
summary:     Add queueentry callback for queue counter so it does not reset on other plugins clearentries

date:        Thu Aug 20 09:03:37 2015 -0300
summary:     Use value_in to get xml data as simplexml sometimes fails for no apparent reason. Be sure that on plugin delete, postback data is removed so we can install after removing a plugin

date:        Wed Aug 19 19:12:19 2015 -0300
summary:     Update eventfilter in README and fix range downloads in download.php

date:        Wed Aug 19 18:35:56 2015 -0300
summary:     Optimize newexten further by skiping macro contexts

date:        Wed Aug 19 18:14:45 2015 -0300
summary:     Optimize on NewExten event

date:        Wed Aug 19 15:54:00 2015 -0300
summary:     Add support for bool types in plugin config using bootstrap switch for toggling

date:        Wed Aug 19 15:04:20 2015 -0300
summary:     Update plugins to use name_name settings instead of camel case for consistency and better presentation on the manager

date:        Wed Aug 19 14:43:58 2015 -0300
summary:     Add text to plugin config types

date:        Wed Aug 19 11:51:29 2015 -0300
summary:     If default value in plugin.xml is empty, convert to empty string as default xml parser sets to array

date:        Wed Aug 19 11:06:53 2015 -0300
summary:     Remove commented lines

date:        Wed Aug 19 11:04:54 2015 -0300
summary:     Use function to set background color on presence, so update works when changing language. Change timers to use general updatetimer and remove cronotimer.

date:        Wed Aug 19 11:03:34 2015 -0300
summary:     Do no send auth if extension is empty

date:        Wed Aug 19 11:02:03 2015 -0300
summary:     Add from queue information in tooltip for queue member, adding it to calls taken and penalty info

date:        Wed Aug 19 11:01:26 2015 -0300
summary:     Request queuestatus after 3 seconds timeout on hangup events to give time to asterisk to update queue structures and avoid out of order events when the status comes back with a busy agent that is not anymore

date:        Tue Aug 18 18:23:09 2015 -0300
summary:     Add paused reasons based on fop2state ASTDB and member interface for queue memeber objects

date:        Tue Aug 18 13:22:43 2015 -0300
summary:     Get timers for queue members by saving status timers and set them on queue member state interface match

date:        Tue Aug 18 12:07:17 2015 -0300
summary:     Asegurar que el NOW de queue membrer list de cache tiene hora actual y no cacheada, otros arreglos para estructura de agentes y lastcall,currenctall

date:        Thu Aug 13 19:56:51 2015 -0300
summary:     Fix to config plugins so we can save ini parameters with single quotes

date:        Thu Aug 13 19:55:01 2015 -0300
summary:     Set dialed number for queue members. Use double quotes for pluginconf entries instead of single quotes, so we can use single quotes on settings

date:        Thu Aug 13 14:02:10 2015 -0300
summary:     Add linked id to queue members, so we can extract the callerid that is set on agentcalled

date:        Thu Aug 13 13:56:01 2015 -0300
summary:     Upate to font awesome 4.4

date:        Thu Aug 13 09:58:06 2015 -0300
summary:     Update call history to use timeago jquery plugin in bootstrap client

date:        Thu Aug 13 09:57:12 2015 -0300
summary:     Add timeago jquery plugin and updated all lang files

date:        Thu Aug 13 09:56:52 2015 -0300
summary:     Add timeago jquery plugin and updated all lang files

date:        Wed Aug 12 18:04:14 2015 -0300
summary:     Add fromqueue info for queue members, to know from what queue the call came from, to be used on a wallboard like display

date:        Tue Aug 11 15:52:32 2015 -0300
summary:     Check for queue member status based on state interface for calls outside queue, so it marks queue member as busy if its device is on a non queue call.

date:        Tue Aug 11 15:48:56 2015 -0300
summary:     Use full queue name^server for QUEUE setting in queue object. Makes checking MEMBERS uniform so we can signal outbound calls for state interface matches

date:        Tue Aug 11 14:38:49 2015 -0300
summary:     Fix time drifting for charts on busy and queue counter plugins

date:        Tue Aug 11 09:12:20 2015 -0300
summary:     Do not pass null values for read settigs from DB to avoid warnings

date:        Tue Aug 11 09:06:54 2015 -0300
summary:     Do not hide direction if privacy is set to monitor

date:        Tue Aug 11 08:55:19 2015 -0300
summary:     Pause reason on tooltip in clock will shown translated text if exists

date:        Tue Aug 11 00:43:57 2015 -0300
summary:     Update fop2manger version file

date:        Mon Aug 10 16:45:27 2015 -0300
summary:     Fix typo on queue counter plugin for graph

date:        Sun Aug 09 20:57:06 2015 -0300
summary:     Update portuguese translation and change flag to brazil

date:        Thu Aug 06 17:51:54 2015 -0300
summary:     Use translation for Summary and Full queue visual mode in fop2 settings in the  manager

date:        Thu Aug 06 17:51:38 2015 -0300
summary:     Use correct general settings language on client instead of personal language

date:        Thu Aug 06 17:51:00 2015 -0300
summary:     Change permission of /usr/local/fop2 on startup so group write is enabled, change copyright year

date:        Thu Aug 06 16:21:14 2015 -0300
summary:     New settings tab in FOP2 Manager, left to do several translations for help text

date:        Thu Aug 06 16:20:41 2015 -0300
summary:     Change group of /usr/local/fop2 and permissions so fop2settings.db can be written from web, so FOP2 Manager can write using the new settings page

date:        Thu Aug 06 12:20:43 2015 -0300
summary:     Add recording cdr to makefile

date:        Thu Aug 06 11:05:10 2015 -0300
summary:     Fix call flow plugin for 2.30, update year for copyright footer, be sure grid is defined on auto heigh. Update dblib inside fop2 to not echo html if run from cli

date:        Wed Aug 05 21:17:54 2015 -0300
summary:     Change presence.js for the short version without settings except language

date:        Wed Aug 05 21:13:22 2015 -0300
summary:     Add defaultpreferences support to client side

date:        Wed Aug 05 21:12:19 2015 -0300
summary:     Add default preference stored in sqlite instead of presence.js to the server side. setdefaultpreferences command is sent to clients with base64 encoded javascript for setting variables that were before in presence.js, this settings can also be set per panel context, using extension SETTINGS and context PANELCONTEXT

date:        Tue Aug 04 21:56:07 2015 -0300
summary:     Add cache for memberlist on server and client, and change only if there is actual changes to reduce cpu... preparation for polling for queue status every X seconds in order to fix improper queue member status on queue buttons as reported by Asterisk

date:        Tue Aug 04 19:17:29 2015 -0300
summary:     We usually do not have members when receiving queueparams, so do not check or send queue member list here

date:        Tue Aug 04 15:16:31 2015 -0300
summary:     Add hideUnregistered option to presence.js and update relevant filters and events to ack that

date:        Fri Jul 31 16:51:02 2015 -0300
summary:     Update themes and custom themes

date:        Fri Jul 31 16:45:08 2015 -0300
summary:     Set general class names for widget colors on main operator screen and plugins

date:        Fri Jul 31 13:11:38 2015 -0300
summary:     Add custom as available in comments in FOP2 Manager config.php

date:        Fri Jul 31 11:45:43 2015 -0300
summary:     Rename functions-custom.php to functions-custom-dist.php to not overwrite real custom settings on FOP2 Manager online upgrades

date:        Fri Jul 31 11:43:42 2015 -0300
summary:     Fix pagination loosing panel context on FOP2 Manager, that caused buttons to be regenerated

date:        Thu Jul 30 19:29:42 2015 -0300
summary:     Set helper functions for drag attach to body so they can cross widgets

date:        Thu Jul 30 15:22:44 2015 -0300
summary:     Fix total pages when paginating on page.fop2buttons in the manager

date:        Wed Jul 29 18:51:36 2015 -0300
summary:     Fix dbgrid.php typos, and make multitenant string to show so context limit that is based on plugin string works

date:        Wed Jul 29 18:27:12 2015 -0300
summary:     Fix smsbox showing when sms_api and hide/show on client if its set

date:        Wed Jul 29 15:57:48 2015 -0300
summary:     Change khomp sample in fop2.cfg to use b0c0 instead of Khomp/b0

date:        Wed Jul 29 15:34:03 2015 -0300
summary:     Do not show chat history menu if save chat is not enabled or chat license is not set

date:        Wed Jul 29 15:32:15 2015 -0300
summary:     sends enablechatadmin string to clients from server, so we can decide to show/hide the menu

date:        Wed Jul 29 15:05:32 2015 -0300
summary:     Add x axis labels to queuecounter and busycounter plugin graphs

date:        Wed Jul 29 14:34:29 2015 -0300
summary:     Fix callhistory permissions for callhistory plugin, requires callhistory permission to be set

date:        Wed Jul 29 12:27:44 2015 -0300
summary:     Small fixes to php sections calldetailrecords, recordings and chatadmin

date:        Wed Jul 29 12:26:07 2015 -0300
summary:     Set call history plugin to require callhistory permission

date:        Tue Jul 28 22:05:56 2015 -0300
summary:     Add config to browser plugin to set initial url

date:        Tue Jul 28 20:12:41 2015 -0300
summary:     Make agent timer use server time offset, not client side time

date:        Tue Jul 28 19:39:21 2015 -0300
summary:     Add timer for queue member detail

date:        Fri Jul 24 22:05:45 2015 -0300
summary:     Fix voicemail so it does not change when someone else opens voicemail

date:        Fri Jul 24 19:53:04 2015 -0300
summary:     Add bootstrap based client 2.30

date:        Fri Jul 24 19:50:20 2015 -0300
summary:     Add new 2.30 plugins to repo: browser, change password and queue stats. Update version to 2.30

date:        Fri Jul 24 19:44:18 2015 -0300
summary:     Add changepassword plugin to repo

date:        Fri Jul 24 19:38:16 2015 -0300
summary:     Add chatadmin permission into the FOP2 Manager selection

date:        Fri Jul 24 15:36:33 2015 -0300
summary:     Only update voicemail when it is for me and not from others

date:        Fri Jul 17 11:06:39 2015 -0300
summary:     Update plugins versions for new 2.30 client

date:        Thu Jul 16 17:00:51 2015 -0300
summary:     Update plugins to new client

date:        Mon Jul 13 11:05:54 2015 -0300
summary:     Add timers for forced logout callbacks, giving time to relogin and cancel them if they do (hotdesk plugin)


-------------------------------
FOP2 Version 2.29.03
-------------------------------

date:        Thu Sep 03 15:44:06 2015 -0300
summary:     Fix group restriction read settgins for single context/tenant configs

date:        Thu Sep 03 15:44:06 2015 -0300
summary:     Add sms_api_ok_message for showing a configured success message instead of gateway response

date:        Thu Sep 03 15:44:06 2015 -0300
summary:     Error checking in populate mailbox and custom to prevent AMI connection race conditions in rare circumnstances

date:        Fri Jul 17 11:06:39 2015 -0300
summary:     Fix SMS options showing when sms_api_* is set


-------------------------------
FOP2 Version 2.29.02
-------------------------------

date:        Mon Jul 13 11:05:54 2015 -0300
summary:     Add timers for forced logout callbacks, giving time for user to relogin and cancel callbacks if they do (attempt to fix queuelogin or hotdesk plugin queue logout events on forced/unexpected disconnections)

date:        Fri Jul 10 20:23:05 2015 -0300
summary:     Add last call and current call timestamp tracking to queue member list

date:        Thu Jul 09 15:12:28 2015 -0300
summary:     Add asterisk provided stats to Queue handling and return stats data to clients

date:        Tue Jul 07 17:26:42 2015 -0300
summary:     Update css for clock plugin making font larger

date:        Mon Jul 06 22:50:13 2015 -0300
summary:     Add additinoalperm to plugin.xml definition so FOP2 Manager can read permissions available/required for installed plugins. Also update plugin.xml for relevant plugins

date:        Fri Jul 03 09:19:37 2015 -0300
summary:     Add support for applicationTitle in presence.js for setting application name for white label with no modifications of index.html files

date:        Fri Jul 03 09:18:23 2015 -0300
summary:     Update credits for icons for checkdir.php

date:        Fri Jul 03 09:17:56 2015 -0300
summary:     Add callhistory permission to FOP2 Manager

date:        Thu Jul 02 01:15:07 2015 -0300
summary:     Fix retrieve picture on vphonebook.php for chat windwos

date:        Wed Jul 01 20:17:00 2015 -0300
summary:     Set language in config.php for php applications to use absolute path for when it is included from other directories it can find the lang/xx.php anyways

date:        Wed Jul 01 10:50:40 2015 -0300
summary:     Add full name support for tennats in FOP2 Manager

date:        Wed Jul 01 08:58:42 2015 -0300
summary:     Make functions custom in FOP2 Manager more configurable so we can set tables names for mixed systems

date:        Wed Jul 01 08:44:54 2015 -0300
summary:     fix check extension function name for custom engine in FOP2 Manager

date:        Mon Jun 29 23:14:37 2015 -0300
summary:     Be sure to setup animated menus in FOP2 Manager drop down on hover

date:        Mon Jun 29 23:13:24 2015 -0300
summary:     Show plugins comma separated instead of one per line in FOP2 Manager

date:        Mon Jun 29 23:12:38 2015 -0300
summary:     Change tabs to spaces in asmanager.php, return error on bad auth to manager

date:        Mon Jun 29 14:26:47 2015 -0300
summary:     No default value for blob/text on mysql fop2buttons table to make mysql 5.6 happy

date:        Mon Jun 29 13:51:20 2015 -0300
summary:     Remove restrictqueue if empty in FOP2 Manager

date:        Mon Jun 29 11:06:57 2015 -0300
summary:     Do not retrieve empty parameters from sqlite settings db to prevent warnings,errrors

date:        Sat Jun 27 16:45:42 2015 -0300
summary:     Do not use hardcoded manager user in FOP2 Manager and retrieve info from fop2.cfg only

date:        Sat Jun 27 16:45:15 2015 -0300
summary:     Fix typo in pref popup url index.html for translated text to work

date:        Wed Jun 24 16:46:41 2015 -0300
summary:     Add callhistory FOP2 plugin to repo

date:        Wed Jun 24 16:42:02 2015 -0300
summary:     Modify dbgrid so it hides action column if there are no allowed actions, to not waste space

date:        Wed Jun 24 16:11:19 2015 -0300
summary:     Remove hardcoded Tag Call from hidden div

date:        Wed Jun 24 12:22:33 2015 -0300
summary:     Add internalcall client response on LINK event on the server, to indicate if a call is extension to extension

date:        Tue Jun 23 23:32:36 2015 -0300
summary:     Add bridgepopup plugin to Repo, to enable popup on connected non queue calls

date:        Fri Jun 19 19:38:17 2015 -0300
summary:     Fix set clid on privacy MONITOR check uppercase

date:        Fri Jun 19 11:13:57 2015 -0300
summary:     Use mysqli escape string on dbgrid instead of old mysql_real_escape function that is being deprecated

date:        Mon Jun 15 18:47:55 2015 -0300
summary:     Add dbsetup to update_conf so databases are created/altered on reloads if needed

date:        Mon Jun 15 10:56:52 2015 -0300
summary:     Add creation of fop2-park context so you can park from FOP2 to the MirtaPBX plugin

date:        Mon Jun 15 09:57:59 2015 -0300
summary:     Update README with correct park context for FOP2

date:        Mon Jun 15 09:25:15 2015 -0300
summary:     Add Park Slot support for MirtaPBX in FOP2 Manager

date:        Sun Jun 14 19:09:35 2015 -0300
summary:     Add flags and blank images to FOP2 Manager

date:        Sun Jun 14 19:05:25 2015 -0300
summary:     Add nice animation to drop down and icon flags for FOP2 Manager

date:        Sun Jun 14 19:01:25 2015 -0300
summary:     Add support for conferences and ring groups to MirtaPBX in FOP2 Manager

date:        Sat Jun 13 19:42:14 2015 -0300
summary:     Add account code for originate on dial conference so it works on MirtaPBX

date:        Fri Jun 12 23:24:37 2015 -0300
summary:     On manager connection close, send setZero to clients to clear any busy status if any and mark everthing as free/pristine. On reconnection it will retrieve status again and show correct data. Might fix stuck call information on FOP2 on flacky/unreliable asterisk manager connections.

date:        Fri Jun 12 10:30:22 2015 -0300
summary:     Do not reset groupchannel on reload, to avoid stuck calls in user and device mode

date:        Thu Jun 11 20:30:59 2015 -0300
summary:     Send dialing channel from server on Dial event so client knows the channel that is calling for transfer ringing calls

date:        Thu Jun 11 20:17:30 2015 -0300
summary:     Add ringing drag transfer for client side files and dialingchannel function. Use better jquery syntax to check element existence

date:        Thu Jun 11 16:46:44 2015 -0300
summary:     Allow spaces in button TAGS 

date:        Fri Jun 05 14:55:57 2015 -0300
summary:     Abort fop2 server if no configuration file found

date:        Fri Jun 05 10:53:12 2015 -0300
summary:     create updateMember for queue, so AgentComlete or AgentPenalty events do not insert a member to the list, as a member might be removed from the queue and out of order events arrive later on. Set updateMember on agentcomplete, agentpenalty and hangup events. Fix bug on reappearing agents after call completion when they log out from a queue while on a call.

date:        Fri Jun 05 09:10:49 2015 -0300
summary:     If there is no plugin name because online repo cannot be queried, use raw name instead, to avoid warning on the licensed plugins display

date:        Thu Jun 04 10:43:06 2015 -0300
summary:     Make License print on --test more readable and list all plugins also

date:        Wed Jun 03 19:38:43 2015 -0300
summary:     Show logout if Freepbx is the engine and use freepbx auth is set to false, so we can logout from the FOP2 Manager even if there is a session valid in freepbx

date:        Wed Jun 03 19:19:33 2015 -0300
summary:     Allow up to 5 panel context on regular licenses. Multitenant required to allow panel contexts

date:        Tue Jun 02 20:38:57 2015 -0300
summary:     Make sure load local plugins does not fail and does not stop if plugin.xml is invalid xml

date:        Tue Jun 02 20:30:00 2015 -0300
summary:     Add accountcode on originate if button config has accountcode set. Fix bug on astman server (0) setting it now to correct name/ip. Allow changing fop2 key when context is set (to allow login with exten@tenant without the need to specify ?context=xxx in the URL). Handle results on Status and QueueStatus actions. 

date:        Tue Jun 02 20:27:29 2015 -0300
summary:     Add queuehintfpbx plugin to repo

date:        Tue Jun 02 20:26:26 2015 -0300
summary:     Update MiRTA pbx functions on FOP2 Manager adding queuechannel

date:        Mon Jun 01 20:36:54 2015 -0300
summary:     Add some error chekcing to avoid warnings when astman connections cannot be made

date:        Mon Jun 01 11:48:45 2015 -0300
summary:     Add error condition checks to FOP2 Manager to avoid early exits or extra warnings where there are invalid plugin directories, incorrect xml files, etc

date:        Fri May 29 21:44:49 2015 -0300
summary:     Agregado de respuesta StatusComplete en handle ami response

date:        Fri May 29 21:29:24 2015 -0300
summary:     Clear all members when QueueParams are received, so we can refresh the whole member list on realtime queue member configurations when there are no queuememberadded or queuememberremoved ami events. Also be sure to parse ami responses via handle_ami_event, and if its a queuestatus, finalize with a queuestatuscomplete to send the full queue member list

date:        Fri May 29 21:28:01 2015 -0300
summary:     Update MiRTApbx plugin to use add/remove queues using odbc, requires use_agentlogin=1 in fop2.cfg to disable normal queueadd and remove ami commands

date:        Fri May 29 10:39:08 2015 -0300
summary:     QueueMemberPaused also shows Interface header instead of Location in Asterisk 13. Fix so pause works

date:        Fri May 29 09:48:14 2015 -0300
summary:     update_conf.php supports multi tenant for resetting queue members on MiRTApbx on each run

date:        Thu May 28 19:08:44 2015 -0300
summary:     Remove temp upload directory when uploading plugins via fop2 manaer

date:        Thu May 28 19:00:15 2015 -0300
summary:     Fix uploading of plugins to FOP2 Manager

date:        Thu May 28 13:25:31 2015 -0300
summary:     Remove park retrieval via AMI for MiRTA functions as it is not needed at all

date:        Thu May 28 10:43:59 2015 -0300
summary:     Allow using exten@context on login to avoid setting the context via url on multi tenant setups

date:        Wed May 27 20:14:59 2015 -0300
summary:     Update generate_override_contexts.pl so it runs update_conf.php to generate everything in db

date:        Wed May 27 19:36:14 2015 -0300
summary:     Update changelog for FOP2 Manager to 1.0.6

date:        Wed May 27 19:30:03 2015 -0300
summary:     Be sure system.php looks for fop2.cfg in alternate /etc/asterisk/fop2 location, otherwise fop2port and other config settings won't be set

date:        Wed May 27 19:18:07 2015 -0300
summary:     Include dbsetup.php on update_conf so databases are created. Remove some warnings

date:        Wed May 27 19:05:28 2015 -0300
summary:     Add fop2recordings to install and uninstall sql lines

date:        Wed May 27 18:56:17 2015 -0300
summary:     Move db creation to separate file so update_db can create all databases and initial data for RPM installs and first time installs

date:        Wed May 27 15:35:53 2015 -0300
summary:     Add functions-MiRTA.pbx to FOP2 Manager

date:        Wed May 27 14:47:52 2015 -0300
summary:     Check if file voicemail.conf exists on autoconfig-users to avoid warning when it does not

date:        Wed May 27 14:42:14 2015 -0300
summary:     Add MiRTA PBX plugin to Repo

date:        Wed May 27 12:15:33 2015 -0300
summary:     Add populate contexts for tenant in custom functions in FOP2 Manager

date:        Wed May 27 12:10:54 2015 -0300
summary:     Update update_conf.php in FOP2 Manager to make it faster and avoid warnings on multi tenant creation

date:        Wed May 27 12:10:12 2015 -0300
summary:     Update more functions to support MiRTA pbx and cached results in FOP2 Manager

date:        Wed May 27 12:04:36 2015 -0300
summary:     Update FOP2 Manager to support MiRTA pbx also cache system_all_values for faster multi tenant configs

date:        Wed May 27 12:03:03 2015 -0300
summary:     Update dblib.php on FOP2 Manager so debug knows html or cli

date:        Wed May 27 12:01:28 2015 -0300
summary:     Update FOP2 Manager config.php with new options/organization

date:        Tue May 26 13:07:38 2015 -0300
summary:     Reverse source/destination on origination to conference, so destination number is dialed first, and then put onto conference so it can hear full menus and such

date:        Tue May 26 13:06:59 2015 -0300
summary:     Update jquery context menu to latest version, modify it to have submenu limit on height and scroll

date:        Thu May 21 09:25:12 2015 -0300
summary:     Continue querying unpopulated mailbox even if there is no mailboxchannel in return. Cast fields in voicemail query to please MiRTA PBX

date:        Tue May 19 14:30:28 2015 -0300
summary:     Use better way to split plugin code to eval, allows now the use of exclamation sign in js plugin code

date:        Wed May 13 19:46:01 2015 -0300
summary:     Order context alphabetically in FOP2 Manager menu

date:        Wed May 13 19:27:31 2015 -0300
summary:     Show distinct group names on autoconfig users multitenants

date:        Wed May 13 18:04:00 2015 -0300
summary:     Fix typo on setcontext selection in FOP2 Manager

date:        Wed May 13 14:28:42 2015 -0300
summary:     Improve busy call counter plugin further

date:        Mon May 11 21:08:38 2015 -0300
summary:     Do not escape all chars in chat so links with long uris work fine and also hide horizontal overflow

date:        Mon May 11 20:50:42 2015 -0300
summary:     Allow # in configuration parser so it gets as value, not as comment

date:        Fri May 08 11:00:22 2015 -0300
summary:     Fix fop2version detection so it works with trixbox and old pre 2.6.0 systems

date:        Fri May 08 09:32:01 2015 -0300
summary:     Fix revoke command line option collision with keelalive

date:        Thu May 07 10:35:12 2015 -0300
summary:     Be sure to set pickupmark dest context only if nopickupmark is not set

-------------------------------
FOP2 Version 2.29.01
-------------------------------

date:        Mon May 04 18:00:35 2015 -0300
summary:     Add --keepalive option to fop2 server and rework on trunk details for in/out callerid and dialnum with asterisk 11,12

date:        Thu Apr 30 14:57:49 2015 -0300
summary:     Update checkdir.php to exclude short numbers from triggering sql lookups

date:        Wed Apr 29 11:39:43 2015 -0300
summary:     Update dbgrid to use new styles/sprites

date:        Wed Apr 29 11:27:49 2015 -0300
summary:     Update styles on dbgrid phonebook and showcdr

date:        Tue Apr 28 09:40:33 2015 -0300
summary:     Be sure to clear clidnum on trunk detail list

date:        Mon Apr 27 19:29:40 2015 -0300
summary:     Update queue counter plugin to 1.0.3 respecting queue sound preferences

date:        Mon Apr 27 18:25:06 2015 -0300
summary:     Update generate override for freepbx to add classofservce check for callflow plugin

date:        Mon Apr 27 10:56:32 2015 -0300
summary:     Update FOP2 Manager to remove dependency on stickonscroll on all pages

date:        Thu Apr 23 17:33:44 2015 -0300
summary:     Do not set dial number when extension is non numeric (text)

date:        Wed Apr 22 17:33:22 2015 -0300
summary:     Fix typo in stateinterface for device and user mode

date:        Wed Apr 22 17:17:53 2015 -0300
summary:     Add tagQueueCalls plugin to Repository

date:        Wed Apr 22 17:17:29 2015 -0300
summary:     Use hint as state interface for queuechannel when in device and user mode

date:        Mon Apr 20 16:16:21 2015 -0300
summary:     Add new ringbusy plugin to repository

date:        Mon Apr 20 15:39:06 2015 -0300
summary:     Add translation on file removal from index on FOP2 Manager for upgrades

date:        Mon Apr 20 13:25:35 2015 -0300
summary:     Add unlink section for old/deprecated files in index.php

date:        Mon Apr 20 13:10:11 2015 -0300
summary:     Update fop2buttons page to use another sticky library that works better with ajax pagination

date:        Mon Apr 20 10:32:02 2015 -0300
summary:     Add max number of buttons per page in FOP2 Manager and pagination

date:        Fri Apr 17 17:29:17 2015 -0300
summary:     Optimize busycounter plugin code

date:        Thu Apr 16 18:45:59 2015 -0300
summary:     Add fop2recordings table creation to FOP2 Manager

date:        Wed Apr 15 18:18:56 2015 -0300
summary:     Auto wrapup plugin version to 1.0.1

date:        Wed Apr 15 18:13:01 2015 -0300
summary:     Use a hash based on agent for auto wrapup timers so a new coplete call does not overwirte a previous timer

date:        Thu Apr 09 16:20:41 2015 -0300
summary:     Check before push write if asterisk socket is defined. Set direction outbound for trunsk on DIAL event

date:        Wed Apr 08 17:32:54 2015 -0300
summary:     Add sslproxy fop2.cfg directive to pass ssl to clients even if server is not running it, for haproxy setups

date:        Tue Apr 07 12:25:14 2015 -0300
summary:     Make ping from keepalive with push_write as in 1.6 I saw issues

date:        Tue Mar 31 21:47:27 2015 -0300
summary:     Use from-internal instead of ext-meetme in conference buttons for freepbx so we can invite to conference via dial box

date:        Tue Mar 31 20:17:33 2015 -0300
summary:     Change queue member name on FOP2CHANGEBUTTONLABEL

date:        Tue Mar 31 18:15:13 2015 -0300
summary:     Remove Async header from Redirect actions as it is not needed

date:        Tue Mar 31 18:14:56 2015 -0300
summary:     Check if element exists in setlang to prevent error on incomplete/wrong buttons.cfg

date:        Tue Mar 31 16:18:22 2015 -0300
summary:     Async in AMI originate accepts 1 or true

date:        Tue Mar 31 08:20:55 2015 -0300
summary:     Fix typo that prevented second toolbar icons from hiding if no permissions for them were set

date:        Mon Mar 30 19:06:50 2015 -0300
summary:     Return on push write if no handle

date:        Fri Mar 27 15:36:12 2015 -0300
summary:     Update followme to 1.0.5 fixing bug when editing simultaneously from multiple clients

date:        Wed Mar 25 20:34:31 2015 -0300
summary:     Fix missing semi colon on fr-FR.php

date:        Wed Mar 25 20:10:26 2015 -0300
summary:     Improve efficiency of regexp matching/replacing for comments and whitespace on collect includes async

date:        Wed Mar 25 20:03:27 2015 -0300
summary:     Improve efficiency of regexp matching/replacing for comments and whitespace in read buttons and server configs

date:        Wed Mar 25 19:16:19 2015 -0300
summary:     Do not waste an array for collecting config files async

date:        Wed Mar 25 16:20:56 2015 -0300
summary:     Check for /var/www/fop2 as valid path for plugins in autoconfig users

date:        Wed Mar 25 12:18:49 2015 -0300
summary:     DBSTRIP in auto config buttons does not need to be greedy

date:        Sat Mar 21 20:25:27 2015 -0300
summary:     Fix for static config buttons and remove warning on userevents with family and no value

date:        Fri Mar 20 20:07:18 2015 -0300
summary:     Do not reset usergroups in read buttons config

date:        Fri Mar 20 16:12:02 2015 -0300
summary:     Be sure to set a fop2 version when the server does not support the version command

date:        Fri Mar 20 08:47:31 2015 -0300
summary:     Allow rename of groups in FOP2 Manager when editting

date:        Fri Mar 20 08:44:54 2015 -0300
summary:     Allow edit in FOP2 Manager group of id 0 group



-------------------------------
FOP2 Version 2.29.00
-------------------------------

date:        Thu Mar 19 16:47:42 2015 -0300
summary:     Add flip flop to callerid in buttons

date:        Thu Mar 19 16:40:23 2015 -0300
summary:     Add playdtmf support on the fop2 server

date:        Thu Mar 19 15:58:07 2015 -0300
summary:     Update spinner in index.html to use svg and animations CCS3

date:        Fri Mar 13 14:31:16 2015 -0300
summary:     Initial Status fixed for when ConnectedLineNum is unknown but extensions is not

date:        Fri Mar 13 09:56:52 2015 -0300
summary:     Non blocking config parser, does not halt events when #exec auto conf scripts

date:        Fri Mar 13 09:56:09 2015 -0300
summary:     Change also labels on reload, and fix setlang to not overwrite active clid with inactive line

date:        Thu Mar 12 13:59:42 2015 -0300
summary:     Reload takes care of changing groups from place to place

date:        Wed Mar 11 18:46:16 2015 -0300
summary:     Make sure config on reload returns an empty array when calling functions to avoid empty actions to AMI

date:        Mon Mar 09 23:46:51 2015 -0300
summary:     autoconfig-buttons.sh accepts GENERAL as the default context to run the default query when there are no contexts at all

date:        Fri Mar 06 16:01:01 2015 -0300
summary:     Update auto config scripts so password fields could have an equal sign

date:        Fri Mar 06 09:20:57 2015 -0300
summary:     Fix meetme talking indicator (incorrect inheritance)

date:        Thu Mar 05 19:15:00 2015 -0300
summary:     Style adjustments on preference Pane

date:        Thu Mar 05 18:55:41 2015 -0300
summary:     Slight style modifications on input boxes for preference pane and sms box

date:        Wed Mar 04 16:05:13 2015 -0300
summary:     Add FOP2CHANGEBUTTONGROUP and FOP2CHANGEBUTTONLABEL user event support

date:        Mon Mar 02 19:32:37 2015 -0300
summary:     Be sure to send setvars for both canal an canalmap (fix variables for popups in some cirumstances)

date:        Mon Mar 02 19:11:11 2015 -0300
summary:     Add equal sign into password regexp for FOP2 Manager

date:        Mon Mar 02 18:21:25 2015 -0300
summary:     Add ChanVariable header ack for Asterisk 13

date:        Mon Mar 02 18:00:31 2015 -0300
summary:     Be sure to write to the anyevent socket handle on the client looop

date:        Mon Mar 02 17:03:51 2015 -0300
summary:     Fix listen_port typo in FOP2 Manager system.php

date:        Fri Feb 27 10:08:57 2015 -0300
summary:     Update FOP2 Manager to be able to send constructed userevents and to set permissions and password via user event in real time

date:        Thu Feb 26 23:57:12 2015 -0300
summary:     Add FOP2CHANGEUSERPERMS to fop2 server

date:        Thu Feb 26 23:54:38 2015 -0300
summary:     Refactor toolbar draw and hide/show so we can update it in runtime with funcion hideshowtoolbaricons

date:        Thu Feb 26 23:48:35 2015 -0300
summary:     Update russian translation based on feedback

date:        Thu Feb 26 16:51:22 2015 -0300
summary:     Add sample headers autoanswerheader and originatevariables to buttons.cfg.sample

date:        Wed Feb 25 23:55:05 2015 -0300
summary:     Add FOP2CHANGEBUTTONGROUP and sending of auto answer preference 

date:        Wed Feb 25 16:11:50 2015 -0300
summary:     Allow fop2 server to receive autoanswer on/off and honor setting when originating, dialing, spying or whispering

date:        Wed Feb 25 15:35:15 2015 -0300
summary:     Add auto answer preference to index.html preference pane

date:        Wed Feb 25 15:34:41 2015 -0300
summary:     Add translations for phone and popup to all js files, popup is left untranslated

date:        Wed Feb 25 15:34:14 2015 -0300
summary:     Add auto answer preference save on client plus some new translated labels

date:        Wed Feb 25 15:18:35 2015 -0300
summary:     Add auto answer translation in .js files

date:        Wed Feb 25 15:18:10 2015 -0300
summary:     Slight css changes for preference pane

date:        Wed Feb 25 11:47:26 2015 -0300
summary:     Add auto answer and originate into auto conf scripts and set defauls for auto answer

date:        Wed Feb 25 11:42:46 2015 -0300
summary:     Add translations for new advanced settings in fop2 buttons auto answer and originate variables

date:        Wed Feb 25 11:16:08 2015 -0300
summary:     Add plugin version check to page fop2plugins

date:        Wed Feb 25 10:52:57 2015 -0300
summary:     Add normalize_version routine to FOP2 Manager, and update plugin build script to add the fop2minversion to plugins.xml

date:        Wed Feb 25 10:30:46 2015 -0300
summary:     Add fop2 version check on FOP2 Manager index page

date:        Wed Feb 25 10:20:27 2015 -0300
summary:     Adds version check on server so we can query version from the FOP2 Manager

date:        Wed Feb 25 09:30:51 2015 -0300
summary:     Add min fop2 version requirement to fop2 client side parts, server skips sending js and css if no min version match

date:        Tue Feb 24 12:30:43 2015 -0300
summary:     Use stringify version on register and reactivate routines

date:        Tue Feb 24 11:48:23 2015 -0300
summary:     Add version check to plugins on the server side

date:        Tue Feb 24 11:55:10 2015 -0300
summary:     Check plugin version on fop2 server to prevent loading if not min version available

date:        Tue Feb 24 09:11:14 2015 -0300
summary:     Format fixes in menu.php in FOP2 Manager

date:        Tue Feb 24 09:08:40 2015 -0300
summary:     Make panel context select box not appear if not logged in, refactor/optimize some code on select context in menu

date:        Tue Feb 24 09:02:51 2015 -0300
summary:     Update FOP2 Manager index page to upate the unique index in fop2buttons to allow same device in different panel context

date:        Sat Feb 21 02:00:34 2015 -0300
summary:     Update FOP2 Manager to add two new fields to fop2buttons, autoanswerheader and originatevariables

date:        Sat Feb 21 01:59:05 2015 -0300
summary:     Accepts autoanswerheader and originatevariables button config settings and sets variables as array to pass multiple if they are set in originate action commands dial and originate

date:        Fri Feb 20 19:50:44 2015 -0300
summary:     Add userevent support for FOP2CHANGEUSERPASSWORD and FOP2CHANGEUSERPERM

date:        Fri Feb 20 19:40:04 2015 -0300
summary:     Call setTips when rename is received

date:        Fri Feb 20 19:26:01 2015 -0300
summary:     Update Extension class to add method setLabel

date:        Thu Feb 12 23:39:33 2015 -0300
summary:     Add chatadmin.php script to repo. It requires the dblibsqlite that is not yet set in the repo

date:        Fri Feb 20 18:18:22 2015 -0300
summary:     Some fixes for Asterisk 13, in Dial use of connectedlinenum when not unknown, and dbget resonses

date:        Thu Feb 19 12:40:22 2015 -0300
summary:     Just check in js client for ringing2 class, and not full classname. Fix pickup in certain scenarios

date:        Wed Feb 18 20:27:22 2015 -0300
summary:     More updates on fop2 server for asterisk 12/13, this fixes the pickup problem by setting direction outbound only when it is actually an originator channel on a newexten event

date:        Tue Feb 17 22:11:15 2015 -0300
summary:     Updates in FOP2 server to display status on Asterisk 13, both for bridge and initial Status events

date:        Tue Feb 17 15:38:38 2015 -0300
summary:     Rewrite auth routines, make them simpler and concise. Do not send data to unauthenticated clients

date:        Fri Feb 13 19:16:45 2015 -0300
summary:     Fix park variables in FOP2 Manager for parking module and context_id

date:        Thu Feb 12 23:41:52 2015 -0300
summary:     change css button styles on dbgrid to alertify style buttons

date:        Thu Feb 12 23:41:04 2015 -0300
summary:     Check seconds on status message and application dial for asterisk 13 to get originator in initial status

date:        Thu Feb 12 18:37:52 2015 -0300
summary:     Allow more characters in passwords for FOP2 Manager including question mark and ampersand

date:        Thu Feb 12 10:19:30 2015 -0300
summary:     Update sms send form style

date:        Wed Feb 11 17:06:14 2015 -0300
summary:     Be sure to set/unset entrante/saliente classes to not leave both

date:        Wed Feb 11 15:54:03 2015 -0300
summary:     QueueMemberPause in Asterisk 13 set location header

date:        Wed Feb 11 12:06:41 2015 -0300
summary:     Add ;1 suffix to local channel for pickupactive

date:        Thu Jan 22 00:49:29 2015 -0300
summary:     Small style fixes because somehow new chrome needs them

date:        Tue Jan 20 07:45:58 2015 -0300
summary:     Fixed one prompt in italian translation

date:        Sun Jan 18 10:51:42 2015 -0300
summary:     Change something went wron't with ammusing phrase for 2.29

date:        Fri Jan 16 21:16:29 2015 -0300
summary:     Update README file, add asterisk manager sample user

date:        Fri Jan 09 13:04:13 2015 -0300
summary:     Update checkdir.php to use mysqli resultset so it retrieves data from phonebook correctly

date:        Fri Jan 09 11:11:31 2015 -0300
summary:     Update notification library to work with latest chrome

date:        Tue Dec 30 15:45:42 2014 -0300
summary:     Make getAddrByHost use gethostbyname if nslookup fails in FOP2 Manager

date:        Wed Dec 24 10:53:51 2014 -0300
summary:     Be sure to use AMPDBNAME= in autoconfig scripts, and not AMPDBNAMECDR or whatever

date:        Fri Dec 19 08:52:42 2014 -0300
summary:     Allow GLOBAL channel for UserEvents in plugins to broadcast message to clients

date:        Sat Dec 13 17:52:30 2014 -0300
summary:     Update autoconfig scripts to asume freepbx.conf php style

date:        Fri Dec 12 15:44:44 2014 -0300
summary:     Fix record/recordself graying out of toolbar

date:        Thu Dec 11 20:02:00 2014 -0300
summary:     Fix whisper options to not be overloaded with spy options

date:        Thu Dec 11 14:46:33 2014 -0300
summary:     Update autoconfig scripts to work with freepbx.conf file

date:        Thu Dec 11 10:01:20 2014 -0300
summary:     Add originate_variable setting to fop2.cfg to set variables on originate commands

date:        Wed Dec 10 20:05:17 2014 -0300
summary:     Add missing semi colon to install.sql in FOP2 Manager

date:        Wed Dec 10 19:30:03 2014 -0300
summary:     Update followme plugin to 1.0.4, disable form on error and do not save data over disabled form

date:        Wed Dec 10 17:08:38 2014 -0300
summary:     Update autocomplete style for dial box

date:        Wed Dec 10 16:14:15 2014 -0300
summary:     Update and fix vphonebook.php to use mysqli

date:        Thu Dec 04 19:32:29 2014 -0300
summary:     Add Danish translation (Per Fabrin Sorensen)

date:        Thu Dec 04 17:11:42 2014 -0300
summary:     Bump FOP2 Manager version to 1.0.4, support for multi tenant Elastix3

date:        Thu Dec 04 16:28:28 2014 -0300
summary:     Replace autoconfig scripts with multi tenant versions for FOP2 Manager

date:        Thu Dec 04 16:16:33 2014 -0300
summary:     Update install and uninstall sql files on FOP2 Manager, with modifications to the fop2groups table

date:        Thu Dec 04 09:58:18 2014 -0300
summary:     Set default panel context to not allow login without tenant in FOP2 Manager

date:        Thu Dec 04 09:27:25 2014 -0300
summary:     Make panel context menu in FOP2 Manager with max height and scrollable via CSS

date:        Wed Dec 03 20:52:02 2014 -0300
summary:     Cast id on check group to char to get empty if empty in FOP2 Manager

date:        Wed Dec 03 20:38:50 2014 -0300
summary:     Use library escape string instead of mysql function in FOP2 Manager

date:        Wed Dec 03 19:56:49 2014 -0300
summary:     Make check template context tenant aware in FOP2 Manager

date:        Wed Dec 03 19:50:43 2014 -0300
summary:     Add multi tenant support to fop2 get users in FOP2 Manager

date:        Wed Dec 03 19:42:31 2014 -0300
summary:     Do not reload to avoid repost on changing language or tenant in FOP2 Manager

date:        Wed Dec 03 19:20:49 2014 -0300
summary:     Do not remove panel context cookie in login form in FOP2 Manager

date:        Wed Dec 03 17:58:44 2014 -0300
summary:     Avoid warning on index when fop2contexts does not exists

date:        Wed Dec 03 17:24:49 2014 -0300
summary:     Fix typo in autoconfig-buttons.sh

date:        Wed Dec 03 10:51:29 2014 -0300
summary:     Bump queue_login plugin to 1.0.1, accepts queue=xxx via URI

date:        Wed Dec 03 10:51:10 2014 -0300
summary:     Move include on php at the top to avoid warnings on certains plataforms for headers in php

date:        Tue Nov 25 19:33:06 2014 -0300
summary:     Fix FOP2 Manager fop2 users page to check pluings on template select

date:        Tue Nov 25 10:08:42 2014 -0300
summary:     Update autoconfig scripts for updated freepbx.conf files

date:        Wed Nov 19 10:46:39 2014 -0300
summary:     change order of precedense of freepbx.conf and amportal.conf check in autoconf scripts

date:        Thu Nov 13 20:38:25 2014 -0300
summary:     Do not remove variables on timeout, only on disconnect. Set privacy MONITOR to allow set clid text

date:        Wed Nov 12 19:48:43 2014 -0300
summary:     default custom function data in FOP2 Manager

date:        Tue Nov 11 08:01:03 2014 -0300
summary:     Accept SIP/xxx-____ on show cdr

date:        Mon Nov 10 13:43:12 2014 -0300
summary:     Update french translation in FOP2 Manager

date:        Mon Nov 10 11:26:39 2014 -0300
summary:     Auto loging for freepbx or elastix open session only if use_freepbx_auth is set

date:        Mon Nov 10 11:22:55 2014 -0300
summary:     FOP2 Manager: warning/confirm before reload

date:        Mon Nov 10 10:13:50 2014 -0300
summary:     Show extra menu items only once and not for every menu item

date:        Mon Nov 10 09:18:52 2014 -0300
summary:     Add French translation to FOP2 Manager (Jeremie CATTAN)

date:        Fri Nov 07 16:27:07 2014 -0300
summary:     Upgrade call forward and follow me plugin versions

date:        Fri Nov 07 16:26:49 2014 -0300
summary:     Agent filter regexp with no boundaries so it works with utf8

date:        Fri Nov 07 09:32:04 2014 -0300
summary:     Update french translation for php apps

date:        Thu Nov 06 22:49:28 2014 -0300
summary:     Update follow me plugin to 1.0.3

date:        Thu Nov 06 22:39:54 2014 -0300
summary:     Use base64 encoding in Change Presence plugin

date:        Thu Nov 06 22:36:56 2014 -0300
summary:     Update set call forward to encode base 64

date:        Thu Nov 06 14:26:14 2014 -0300
summary:     Fix parser to allow - for real

date:        Tue Nov 04 12:49:03 2014 -0300
summary:     Try to not crap out on network error on plugin page

date:        Tue Nov 04 11:06:29 2014 -0300
summary:     Change style of plugin and buttons page in FOP2 Manager

date:        Tue Nov 04 09:05:02 2014 -0300
summary:     Update get_btn_config to return all or partial based on params passed, used by idletimer plugin

date:        Tue Oct 28 17:36:08 2014 -0300
summary:     Replace old prototypejs ajax sample on checkdir.php and replace with jquery one

date:        Mon Oct 27 10:10:01 2014 -0300
summary:     Update follow me plugin to require permission to show menu if fop2 version supports it (2.28 will still show all)

date:        Mon Oct 27 10:02:52 2014 -0300
summary:     Allow followme plugin to restrict usage for people with permissions followmemanager or all 

date:        Mon Oct 27 09:26:17 2014 -0300
summary:     Better error/warning for upgrade check failures

date:        Fri Oct 24 12:00:00 2014 -0300
summary:     FOP2 Manager improvements on UI, adding of database put del to asmanager

date:        Fri Oct 24 09:47:05 2014 -0300
summary:     Add asterisk reload option to FOP2 Manager, appart from fop2 reload

date:        Fri Oct 24 09:27:25 2014 -0300
summary:     Update config.php in main fop2 to check for mysqli instead of mysql

date:        Fri Oct 24 09:11:35 2014 -0300
summary:     Update dblib in main fop2 to use mysqli

date:        Thu Oct 23 16:31:36 2014 -0300
summary:     Use pluginParam  on window.reload if they exists

date:        Thu Oct 23 09:53:38 2014 -0300
summary:     Make groups don't show any buttons if empty

date:        Thu Oct 23 08:31:12 2014 -0300
summary:     Format fixes and refactor timeout and on error to execute plugin handlers when all auth sockets with same user are removed

date:        Thu Oct 23 08:29:43 2014 -0300
summary:     DbDel correct hotdeskmap entry in hotdesk plugin

date:        Wed Oct 22 20:20:52 2014 -0300
summary:     Update on fop2 dbgrid to start migration to mysqli

date:        Wed Oct 22 20:20:33 2014 -0300
summary:     More updates to dblib mysqli in FOP2 Manager

date:        Wed Oct 22 19:42:41 2014 -0300
summary:     Updates in FOP2 Manager dblib connect error and fop2 port in pbxware

date:        Wed Oct 22 19:42:18 2014 -0300
summary:     Fix on dbgrid to prepare migration to mysqli

date:        Wed Oct 22 18:57:27 2014 -0300
summary:     Fix typo in system.php in FOP2 Manager for pbxware

date:        Wed Oct 22 18:42:24 2014 -0300
summary:     Default to astdb functions when engine is not defined, works with pbxware for example

date:        Wed Oct 22 18:38:37 2014 -0300
summary:     Add support for pbxware to autoconfig buttons

date:        Wed Oct 22 18:32:40 2014 -0300
summary:     update dblib in FOP2 Manager to use mysqli

date:        Wed Oct 22 18:31:29 2014 -0300
summary:     Add initial pbxware support to FOP2 Manager

date:        Wed Oct 22 18:31:17 2014 -0300
summary:     Update makefile to include support for pbxware file locations

date:        Wed Oct 22 17:17:22 2014 -0300
summary:     Fix fetch assoc calls in FOP2 Manager in preparation for mysqli

date:        Wed Oct 22 17:09:31 2014 -0300
summary:     Make mysql interface proper in functions-freepbx in preparation for mysqli

date:        Wed Oct 22 15:05:02 2014 -0300
summary:     Fix typos in Makefile for fop2

date:        Fri Oct 17 15:23:36 2014 -0300
summary:     remove chanvars on channel hangup on client, so plugins can access chanvars

date:        Fri Oct 17 13:51:51 2014 -0300
summary:     Update update_conf in FOP2 Manager so it sets originatechannel for newly created buttons

date:        Fri Oct 17 13:15:58 2014 -0300
summary:     Fix add users in FOP2 Manager to disable permissions when they have default template

date:        Thu Oct 16 18:53:55 2014 -0300
summary:     Add BridgeEnter/Leave asterisk 12 event translation to link/unlik so transfers works in asterisk 12

date:        Wed Oct 15 10:50:29 2014 -0300
summary:     Add context to ring groups buttons in FOP2 Manager

date:        Wed Oct 15 10:42:45 2014 -0300
summary:     Do not use deflate for zbuttons, fixes encoding with utf8 on xmlsockets

date:        Thu Oct 09 18:16:28 2014 -0300
summary:     Update autoconfig users to find plugindir on debian/suse

date:        Thu Oct 09 15:35:19 2014 -0300
summary:     Only use elastix password if use freepbx auth is set to true in FOP2 Manager

date:        Fri Sep 26 20:28:55 2014 -0300
summary:     Update FOP2 Manager to have configonreload 1.0.1 included

date:        Fri Sep 26 20:28:08 2014 -0300
summary:     Update configonreload plugin to 1.0.1 with user event sensor

date:        Fri Sep 26 19:40:06 2014 -0300
summary:     remove asteriskreload.php

date:        Fri Sep 26 19:39:41 2014 -0300
summary:     replace asteriskreload to fop2reload

date:        Fri Sep 26 19:10:09 2014 -0300
summary:     Add Reload via userevent to fop2_server because of Asterisk 11.8 bug

date:        Fri Sep 26 18:42:34 2014 -0300
summary:     Make parking work with Asterisk 12

date:        Fri Sep 26 18:42:17 2014 -0300
summary:     Add disableQueueFilter option to presence.js

date:        Thu Sep 25 12:17:38 2014 -0300
summary:     Greedy split on conference to allow channel names with dashes

date:        Wed Sep 24 17:05:34 2014 -0300
summary:     On first client status, check types non exclusively so we get queue member list even if button type is queue/extension

date:        Wed Sep 24 16:26:42 2014 -0300
summary:     Fix FOP2 Manager version number on plugins page

date:        Sat Sep 06 19:07:52 2014 -0300
summary:     Add extra_headers and before_end_body variables for FOP2 Manager head and footer

date:        Fri Sep 05 16:31:57 2014 -0300
summary:     Fix order of chown asterisk in Makefile

date:        Fri Sep 05 14:57:00 2014 -0300
summary:     Move array definition from menu.php to system.php to allow setting extra menu items from php pages in FOP2 Manager

date:        Thu Sep 04 12:16:22 2014 -0300
summary:     FOP2 Manager update templates so they are static and enforced to all users, if you change a template, all users with that template will also change

date:        Wed Sep 03 20:32:15 2014 -0300
summary:     Change setastdb from client to be base64 to allow non ascii chars and avoid crashes. 

date:        Tue Sep 02 16:21:15 2014 -0300
summary:     Add mwi option for ring group buttons, ring groups can have a mailbox associated

date:        Tue Sep 02 16:09:11 2014 -0300
summary:     Add mailbox count to queue buttons, queues can have a mailbox associated

date:        Tue Sep 02 11:17:11 2014 -0300
summary:     Add queue event translation for asterisk 12

date:        Tue Sep 02 09:51:14 2014 -0300
summary:     Prevent sending offline data if there is another socket with same user in fop2_server

date:        Tue Sep 02 09:43:10 2014 -0300
summary:     Add keepalive to client socket connections

date:        Tue Sep 02 09:40:21 2014 -0300
summary:     Remove sending ack via fop2 protocol to clients

date:        Mon Sep 01 15:55:03 2014 -0300
summary:     Allow to change context in fop2 buttons page in FOP2 Manager

date:        Thu Aug 28 19:22:11 2014 -0300
summary:     Add multi tenant support for thirdlane old to FOP2 Manager

date:        Thu Aug 28 19:21:49 2014 -0300
summary:     Add autoconfig for muti tenant systems

date:        Thu Aug 28 14:55:49 2014 -0300
summary:     Fix typos in command line help, add dummy report_error function

date:        Wed Aug 27 16:42:51 2014 -0300
summary:     Fix typo in fop2.cfg

date:        Wed Aug 27 16:40:55 2014 -0300
summary:     Fix typo in help text in fop2_server

date:        Tue Aug 26 18:29:56 2014 -0300
summary:     Fix typo in PT_Br translation in fop2

date:        Sat Aug 23 20:31:19 2014 -0300
summary:     Fix presence other select box

date:        Thu Aug 21 18:15:16 2014 -0300
summary:     Set context for queue buttons in freepbx to from-internal instead of from-queue

date:        Thu Aug 21 16:22:28 2014 -0300
summary:     Allow more symbols in passwords on FOP2 Manager

date:        Thu Aug 14 15:47:01 2014 -0300
summary:     Add check in asterisk_ami_connect to remove non authenticated sockets after one minute

date:        Thu Aug 14 15:07:35 2014 -0300
summary:     Do not send zbuttons to non authenticated clients

date:        Wed Aug 13 15:34:41 2014 -0300
summary:     Fix bug on FOP2 Manager fop2buttons so it shows trunk range on zap/dahdi

date:        Wed Aug 13 14:11:39 2014 -0300
summary:     Add 1-32 range to dahdi channels by default in FOP2 Manager

date:        Wed Aug 13 13:22:55 2014 -0300
summary:     FOP2 Manager add @from-internal to voicemailext, create originatechannel for custom/virtual to Local/ automatically

date:        Wed Aug 13 13:17:31 2014 -0300
summary:     If there is no context defined in voicemailext, then use from-internal

date:        Wed Aug 13 09:15:45 2014 -0300
summary:     Log formatted time in debug log every 5 seconds

date:        Tue Aug 12 09:06:50 2014 -0300
summary:     Update makefile to disable fop2admin functions only once

date:        Mon Aug 11 12:14:55 2014 -0300
summary:     Allow @ in configuration files in FOP2 Manager parse_conf

date:        Fri Aug 08 11:48:10 2014 -0300
summary:     Fix online notifications when there is an invalid socket in the loop

date:        Fri Aug 08 00:11:49 2014 -0300
summary:     Add pluginvariable to main program for persistent variable storage in plugins

date:        Thu Aug 07 16:25:21 2014 -0300
summary:     Default to english language for plugins if there is no xx.js file for other languages available

date:        Wed Aug 06 18:51:52 2014 -0300
summary:     Add web_dir modification in debian to Makefile

date:        Thu Jul 31 15:37:58 2014 -0300
summary:     FOP2 Manager: fill originatechannel for virtual/custom/user extensions in freepbx, and do not use sateinterface. Allow execution of update_conf.php for plugins for housekeeping or whatever

date:        Wed Jul 30 15:11:19 2014 -0300
summary:     Make the user event interface backwards compatible and use getvar for easier callback handling


-------------------------------
FOP2 Version 2.28
-------------------------------

date:        Tue Jul 29 20:32:12 2014 -0300
summary:     Improve getvar interface for plugins

date:        Fri Jul 25 20:53:21 2014 -0300
summary:     Add freepbx auth support and default to true to use freepbx user/pass to log into FOP2 Manager

date:        Fri Jul 25 20:38:12 2014 -0300
summary:     Only encode uri the message parameter in sending sms, not the whole url

date:        Fri Jul 25 20:13:31 2014 -0300
summary:     Add presence manager option to default permissions string in FOP2 Manager

date:        Thu Jul 24 13:16:06 2014 -0300
summary:     Replace hardcoded 127.0.0.1 to MGRHOST in functions in FOP2 Manager

date:        Fri Jul 18 17:52:10 2014 -0300
summary:     Set groupchannel and channelget upon reception of mychan command from web client plugins

date:        Fri Jul 18 10:28:21 2014 -0300
summary:     Generate configs on hup when receiving a Reload from manager, not only a ChannelReload

date:        Fri Jul 18 10:11:50 2014 -0300
summary:     Add UserEvent FOP2RELOAD to generate configs for fop2

date:        Wed Jul 16 17:43:33 2014 -0300
summary:     URI Escape http sms send

date:        Wed Jul 16 11:18:54 2014 -0300
summary:     Fix typo revokation and add more information to registration success

date:        Tue Jul 15 18:03:16 2014 -0300
summary:     Update main makefile to disable fop2admin if detected when installing 2.28 with FOP2 Manager included

date:        Fri Jul 11 10:06:36 2014 -0300
summary:     Fix parked context for parkplus in FOP2 Manager so default lot uses parkedcalls context

date:        Thu Jul 10 20:17:20 2014 -0300
summary:     Use fop2.cfg to take info for manager connection in FOP2 Manager

date:        Thu Jul 10 14:49:26 2014 -0300
summary:     Add close command in client so server really closes socket on log out

date:        Tue Jul 08 20:42:12 2014 -0300
summary:     Add get_btn_channel (based on extension) and get_btn_position (based on channel) to be used by plugins

date:        Tue Jul 08 15:16:45 2014 -0300
summary:     Update makefile and builds to bundle FOP2 Manager and replace autoconfig-buttons-freepbx.sh with autoconfig-buttons.sh (same for users)

date:        Tue Jul 08 15:15:30 2014 -0300
summary:     Make the generate_override_contexts.pl script work again without --force as it will be needed when not using fop2admin

date:        Tue Jul 08 11:59:23 2014 -0300
summary:     Fix typo on upload plugin in FOP2 Manager

date:        Tue Jul 01 16:30:41 2014 -0300
summary:     Make multi byte string in php optional in FOP2 Manager

date:        Fri Jun 27 17:32:45 2014 -0300
summary:     Improve README and add a backup function to FOP2 Manager

date:        Tue Jun 24 23:55:59 2014 -0300
summary:     Add context to park button for freepbx in FOP2 Manager

date:        Tue Jun 24 16:53:36 2014 -0300
summary:     Limit split to 2 in queue member options to allow for hint:something

date:        Tue Jun 24 16:53:19 2014 -0300
summary:     Update german translation

date:        Thu Jun 19 15:44:17 2014 -0300
summary:     Add build and README to FOP2 Manager

date:        Wed Jun 18 15:12:59 2014 -0300
summary:     Format fixes

date:        Wed Jun 18 15:11:05 2014 -0300
summary:     Add create users options to page fop2users in FOP2 Manager

date:        Thu Jun 12 16:37:58 2014 -0300
summary:     Add context_id to all tables on FOP2 Manager for multi tenant support

date:        Thu Jun 12 15:50:19 2014 -0300
summary:     Add text select on click on line1 and line2 to allow copy&paste of numbers

date:        Wed Jun 11 21:52:52 2014 -0300
summary:     Let text selection work if drag & drop is disabled

date:        Fri May 23 16:58:27 2014 -0300
summary:     Some fix in dbgrid to work on non numeric primary keys

date:        Thu May 22 16:15:21 2014 -0300
summary:     Only output table mods when debug on in FOP2 Manager

date:        Thu May 22 15:36:45 2014 -0300
summary:     some additions to FOP2 Manager to auth and work with elastix

date:        Thu May 22 14:10:08 2014 -0300
summary:     Fix typos

date:        Wed May 21 16:35:46 2014 -0300
summary:     Add penalty translation in 17 languages

date:        Wed May 21 16:13:50 2014 -0300
summary:     Add queue penalty submenus in the client side

date:        Wed May 21 16:01:55 2014 -0300
summary:     Queue Member Penalty on fop2 server

date:        Wed May 21 15:58:08 2014 -0300
summary:     Add pause reason to fop2 audit log

date:        Wed May 21 13:32:25 2014 -0300
summary:     Add option to disable the other option in the presence select box (disablePresenceOther)

date:        Fri May 16 19:08:01 2014 -0300
summary:     Fix typo revocation

date:        Thu May 08 10:55:41 2014 -0300
summary:     Add functions-custom.php to FOP2 Manager

date:        Wed May 07 11:39:47 2014 -0300
summary:     FOP Server 2.28. Send commands from plugins via AMI EV so we can parse the response using getvar Variable~return channel~sourcechannel

date:        Tue May 06 19:52:28 2014 -0300
summary:     Add submenu asterisk reload to FOP2 Manager

date:        Tue May 06 18:48:25 2014 -0300
summary:     Remove warnings and default Array on plugin config in FOP2 Manager

date:        Tue May 06 18:27:09 2014 -0300
summary:     Be sure to undef plugin config on reload

date:        Wed Apr 30 09:57:27 2014 -0300
summary:     Fix sample plugin .pl file

date:        Tue Apr 29 18:31:04 2014 -0300
summary:     Read fop2 port from fop2.cfg instead of hardcode it

date:        Tue Apr 29 11:03:43 2014 -0300
summary:     Remove some warnings and fix multi form copy on plugins for FOP2 Manager

date:        Tue Apr 29 09:58:21 2014 -0300
summary:     Add reverse queue channel check so we can show paused members for virtual extensions

date:        Mon Apr 28 21:28:46 2014 -0300
summary:     Little fixes for having pre comand handler for logoff and qchannel get set from plugin

date:        Mon Apr 28 21:25:33 2014 -0300
summary:     Some fixes and better sample for plugins

date:        Tue Apr 22 12:07:14 2014 -0300
summary:     Fix polish translation for summary queue

date:        Wed Apr 16 15:20:49 2014 -0300
summary:     General updates, code polishing, to FOP2 Manager

date:        Tue Apr 15 13:49:16 2014 -0300
summary:     Fix ampersand in module.xml to make simplexml parser on new php versions happy

date:        Thu Apr 10 20:40:54 2014 -0300
summary:     Use send_command_to_manager always, no timeouts, fix monitor removing non existent async

date:        Sat Apr 05 12:44:46 2014 -0300
summary:     Better layout in fop2 buttons

date:        Fri Apr 04 22:07:10 2014 -0300
summary:     Update speech plugin to new interface listening all the time

date:        Fri Apr 04 19:25:05 2014 -0300
summary:     Add proper auth and logoff Post command handlers for plugins

date:        Thu Apr 03 13:01:24 2014 -0300
summary:     Update soundengine.js so it changes correct icons when opening voicemail after closing explorer

date:        Wed Apr 02 08:48:40 2014 -0300
summary:     Add FOP2 Manager to repo

date:        Fri Mar 28 17:49:29 2014 -0300
summary:     Update presence pause to pause SIP

date:        Fri Mar 28 09:25:28 2014 -0300
summary:     Change session destroy to empty session myap so fop2 does not destroy other application sessions on login/logout

date:        Thu Mar 27 22:47:29 2014 -0300
summary:     Add configonreload plugin to repo

date:        Sat Mar 15 17:10:33 2014 -0300
summary:     Put asteriskcdrdb.cdr as config value CDRDBTABLE in config.php

date:        Sat Mar 15 10:56:57 2014 -0300
summary:     Prevent sending queries to undefined astman server on query unpopulated mailbox

date:        Thu Mar 13 14:44:03 2014 -0300
summary:     Some fixes for IE8 and older

date:        Thu Mar 13 12:31:44 2014 -0300
summary:     Be sure to use double quotes on plugins ini files

date:        Thu Mar 13 11:38:46 2014 -0300
summary:     Upgrade speech plugin to 1.0.1

date:        Thu Mar 13 10:46:34 2014 -0300
summary:     Comment section to add class grid16 (obsolete) when no right column present

date:        Thu Mar 13 10:46:11 2014 -0300
summary:     Proper escaping of plugin string ini configs.

date:        Sat Mar 01 17:00:21 2014 -0300
summary:     Prevent warning when license does not have plugins string

date:        Fri Feb 28 17:01:54 2014 -0300
summary:     Use Digest SHA instead of SHA1 in Protocol/Websocket/Response

date:        Thu Feb 27 20:08:16 2014 -0300
summary:     Fix pluginconfig check typeof on server



-------------------------------
FOP2 Version 2.27
-------------------------------

date:        Tue Feb 26 09:24:44 2013 -0300
summary:     Update language files

date:        Sat Feb 23 09:26:54 2013 -0300
summary:     fop2admin: Add extra error check for empty names

date:        Fri Feb 22 16:19:23 2013 -0300
summary:     fop2_server: Make smart Agent case for agent buttons so it works for agentlogin

date:        Tue Feb 19 13:39:13 2013 -0300
summary:     fop2_server: Fix Agents command and ack Bridge/Unlink event

date:        Tue Feb 19 13:37:20 2013 -0300
summary:     fop2_server: Fix potential warning on mbox number for monitoring filename if mbox not defined

date:        Tue Feb 19 12:38:20 2013 -0300
summary:     fop2_server: Remove some warning 

date:        Tue Feb 19 11:41:03 2013 -0300
summary:     fop2_server: Change comments for persisten_spy as default has changed to be enabled by default

date:        Mon Feb 18 13:55:44 2013 -0300
summary:     Add app-cf-toggle to genereate override context script

date:        Mon Feb 18 13:54:56 2013 -0300
summary:     fop2_server: Add ssl certificate lines in fop2.cfg

date:        Mon Feb 18 13:53:06 2013 -0300
summary:     fop2_server: Give options for -i when eth0 not found

date:        Fri Feb 01 12:54:48 2013 -0300
summary:     fop2_client: strip space from dial string

date:        Fri Feb 01 10:54:37 2013 -0300
summary:     Add turkish translation

date:        Wed Jan 30 17:49:13 2013 -0300
summary:     fop2admin: fix sorting number/name to not collide with types

date:        Wed Jan 02 15:23:42 2013 -0300
summary:     Add Catalan translation

date:        Wed Jan 02 15:21:30 2013 -0300
summary:     fop2_client: Add url to notifylib just in case I add it in the future

date:        Fri Nov 30 16:15:26 2012 -0300
summary:     fop2_client: Update js client to add separate blind and supervised transfers

date:        Fri Nov 30 16:14:55 2012 -0300
summary:     fop2_server: New architecture for FOP2 server. Secure Web Sockets support.

date:        Fri Nov 30 16:14:29 2012 -0300
summary:     scripts: Force utf8 on autoconfig scripts

date:        Wed Nov 21 12:05:23 2012 -0300
summary:     fop2_client: Update dutch translation

date:        Tue Nov 06 00:35:26 2012 -0300
summary:     fop2_client: Prevent pickup action when own extension is busy

date:        Tue Oct 30 12:06:21 2012 -0300
summary:     fop2_server: Fix pausing queue members that are not buttons. Simplify unpark calls

date:        Tue Oct 30 11:55:01 2012 -0300
summary:     fop2_client: Add logout on UI even if no position is set

date:        Wed Oct 24 19:41:51 2012 -0300
summary:     fop2_client: Add setvar to notifyringing on client

date:        Wed Oct 24 16:53:07 2012 -0300
summary:     fop2_server: Small fix in read server config to accept settings with zero value

date:        Fri Oct 19 19:39:03 2012 -0300
summary:     fop2_client: Stop observing key up to try to prevent duplicates. add some check to mwi null to prevent warning

date:        Fri Oct 19 17:15:07 2012 -0300
summary:     fop2_client: Add some time to registration results via web to be displayed

date:        Tue Oct 16 16:40:00 2012 -0300
summary:     fop2_server: Query cdr variable for monitor inbound instead of linked chan to fix recording elastix

date:        Thu Sep 20 15:40:53 2012 -0300
summary:     fop2_server: Fix setvar for reading port for panel contexts variable files

date:        Tue Sep 18 18:32:10 2012 -0300
summary:     fop2_client: update dbgrid.php to use preg_split

date:        Tue Sep 18 18:30:48 2012 -0300
summary:     fop2_client: Expand main grid when there are no elements in the right column

date:        Tue Sep 18 17:26:28 2012 -0300
summary:     fop2_server: Increase websocket payload size 10fold

date:        Fri Sep 14 16:00:37 2012 -0300
summary:     scripts: Fixed problem with 10 digit extensions and autoconfig scripts

date:        Fri Sep 07 10:57:51 2012 -0300
summary:     Add support for ChanVariable in manager events for RINGING setvar states

date:        Wed Aug 22 16:09:30 2012 -0300
summary:     Add dutch translation js files

date:        Thu Aug 09 12:42:50 2012 -0300
summary:     Server: Custom permission sample in fop2.cfg

date:        Wed Jul 25 17:08:37 2012 -0300
summary:     Fixed version detection for FreePBX for 2.10 to get the correct queue context on config scripts

date:        Tue Jul 10 19:07:29 2012 -0300
summary:     Fix sample buttons.cfg for cssclass parameter

date:        Tue Jul 10 18:20:26 2012 -0300
summary:     Separate css definitions for park, trunk and conference buttons

date:        Fri Jul 06 12:08:35 2012 -0300
summary:     Add support for odbc voicemail

date:        Wed Jun 27 14:53:36 2012 -0300
summary:     Add experimental drag&drop support (enableDragTransfer in presence.js)t

date:        Thu Jun 14 15:31:57 2012 -0300
summary:     Add noCdr to fop2dummy context in extensions-override

date:        Tue May 29 09:45:54 2012 -0300
summary:     Server: pass uniqueid as monitor_exec_args for record, to get correct unique for cdr updating. Set default direction to inbound if not set.

date:        Tue May 29 09:43:41 2012 -0300
summary:     Update recording_elastix script to use 4th argument uniqueid passed via MONITOR_EXEC_ARGS

date:        Thu May 24 17:19:05 2012 -0300
summary:     Phonebook: Check file existance on image for grid to avoid broken img on record view

date:        Thu May 24 16:29:53 2012 -0300
summary:     Add boot.js to load javascript dynamically and sequentially, hopefully avoiding cache

date:        Thu May 24 13:17:35 2012 -0300
summary:     FOP2 Client: strip non numeric from sms number, add plugins array and setlang callback for them

date:        Thu May 24 11:08:03 2012 -0300
summary:     Update index_only_extensions to included fixes to sms box

date:        Thu May 24 10:57:01 2012 -0300
summary:     Encode dongle sms to utf8. Add sms_reponse_error in fop2.cfg

date:        Wed May 23 12:39:51 2012 -0300
summary:     Add google speech input on sms input box

date:        Tue May 22 10:30:08 2012 -0300
summary:     Client: only send ping after drawing buttons on screen

date:        Tue May 22 09:23:25 2012 -0300
summary:     Added callback call for towhisper client action

date:        Thu May 17 17:57:09 2012 -0300
summary:     Add tospy fop2callbacks call, modify dial callback to send to correct server if specified

date:        Wed May 16 08:02:30 2012 -0300
summary:     Support for Gtalk trunks with format Gtalk/voice.google.com. Debug format fixes

date:        Tue May 15 19:45:01 2012 -0300
summary:     Be sure to hide menu with no items, fix line on submenu action

date:        Tue May 15 19:13:33 2012 -0300
summary:     Improve sms api , add post support. sms_api_url, sms_api_user, sms_api_password, sms_api_method

date:        Tue May 15 16:21:26 2012 -0300
summary:     Add threaded sms web_api sending engine

date:        Tue May 15 15:56:51 2012 -0300
summary:     Improve input fields style for sms box

date:        Mon May 14 09:37:41 2012 -0300
summary:     Add fop2callsbacks to queueadd, queuelogout

date:        Thu May 10 19:09:04 2012 -0300
summary:     statically link libcrypto on centos5, 32 bits. Add commented lines to autoconfig-users for multi server setups

date:        Fri May 04 11:39:40 2012 -0300
summary:     Add Chan Dongle support for sending sms. dongle_gsm in fop2.cfg

date:        Wed May 02 20:02:27 2012 -0300
summary:     Add config generators for thirdlane and standalone asterisk

date:        Fri Apr 20 19:31:46 2012 -0300
summary:     Added commented code to set chan vars on bridged channels userevent setvar

date:        Fri Apr 13 15:52:50 2012 -0300
summary:     check for element to avoid warnings in debug

date:        Fri Apr 13 15:47:22 2012 -0300
summary:     Destroy php session on logout

date:        Thu Apr 12 19:15:35 2012 -0300
summary:     Add recording_cdr.pl script

date:        Thu Apr 12 19:07:04 2012 -0300
summary:     Refactor autoconfig buttons and improve user device mode generation

date:        Wed Apr 11 23:21:47 2012 -0300
summary:     Update autoconfig-buttons so it populates originatechannel automatically when user&device mode

date:        Tue Apr 03 17:36:38 2012 -0300
summary:     Update queuememberstatus only when changed state, reduces quite a bit the load on the js client

date:        Tue Apr 03 12:04:13 2012 -0300
summary:     Fix crash when sending wide character status in other presence

date:        Tue Mar 27 12:16:45 2012 -0300
summary:     Update index_only_extensions.html so it does not break the js app

date:        Fri Mar 23 09:01:02 2012 -0300
summary:     Add display filters to phonebook to add tooltip when mouse over first,last and company fields


-------------------------------
FOP2 Version 2.26
-------------------------------

date:        Wed Mar 21 14:48:28 2012 -0300
summary:     fop2_client: Destroy php session on logout. Tidy up fop2_server source

date:        Wed Mar 21 09:46:44 2012 -0300
summary:     fop2_client: Update grid and css styles 

date:        Tue Mar 20 23:34:35 2012 -0300
summary:     fop2_client: Update languages for dbgrid php

date:        Tue Mar 20 23:31:18 2012 -0300
summary:     fop2_client: Update jcallback to include conference sample

date:        Tue Mar 20 23:19:43 2012 -0300
summary:     fop2_client: Reduce effect time in stereo tabs to half a second

date:        Tue Mar 20 23:18:05 2012 -0300
summary:     fop2_client: Add set channel via get for hotdesking. 

date:        Tue Mar 20 20:55:16 2012 -0300
summary:     fop2_client: Update dbgrid sprites for new style

date:        Tue Mar 20 20:43:11 2012 -0300
summary:     fop2_client: Add application to display CDR for the logged in extension.

date:        Tue Mar 20 20:18:14 2012 -0300
summary:     fop2_client: Update voicemail grid style to use the default grid style.

date:        Tue Mar 20 20:16:39 2012 -0300
summary:     fop2_client: Tidy dbgrid.css and split to stable.css for styling voicemail explorer

date:        Fri Mar 16 10:14:22 2012 -0300
summary:     fop2_server: Do not send connection updates to unauth clients. Close socket if not authenticated

date:        Fri Mar 16 10:04:37 2012 -0300
summary:     fop2_server: Accept 'mychan' client command to set channel/groupchannel for connected fop2 virtual users

date:        Fri Mar 16 09:58:22 2012 -0300
summary:     fop2_server: Fix to websocket detection string so it works with Firefox 11 - Connection: keepalive, Upgrade

date:        Tue Mar 13 18:07:37 2012 -0300
summary:     fop2_client: Fix disable transferexternal on toolbar when general setting set, add custom_key_up callback

date:        Mon Mar 12 18:14:37 2012 -0300
summary:     fop2_server: Do not blacklist localhost when doing checkauth

date:        Mon Mar 12 11:32:09 2012 -0300
summary:     fop2_client: Change whisper to spy for showing whisper action button correctly

date:        Thu Mar 08 13:40:38 2012 -0300
summary:     fop2_server: Output error an exit if no manager or configuration file found

date:        Wed Mar 07 18:45:48 2012 -0300
summary:     fop2_client: Big update of languages and css styles for the preference panel. The language change session is updated for the recordings/phonebook interface now

date:        Tue Mar 06 10:09:04 2012 -0300
summary:     fop2_client: Change uniqueid to UNIQUEID and extend setvar in AgentConnect.  Popups will get variables if eventwhencalled=vars 

date:        Mon Mar 05 19:01:17 2012 -0300
summary:     fop2_server: Support Variable arrays in manager events and set them in AgentConnect. Preparation for eventwhencalled=vars

date:        Mon Mar 05 18:57:52 2012 -0300
summary:     fop2_client: Add fop2 callback call to atxfer transfers

date:        Mon Mar 05 10:19:49 2012 -0300
summary:     fop2_client: Add member count in conference button

-------------------------------
FOP2 Version 2.25
-------------------------------

date:        Mon Mar 05 08:49:55 2012 -0300
summary:     fop2_client: Add conference toolbar button

date:        Mon Mar 05 08:47:14 2012 -0300
summary:     scripts: Add post recording script for Elastix 2.2 and probably FreePBX

date:        Thu Mar 01 21:11:54 2012 -0300
summary:     scripts: Updated fop2plugin to accect dashes on table and database names

date:        Thu Mar 01 20:48:39 2012 -0300
summary:     fop2_server: Improve fop2 reload/restart disconnection handling.  Do not ask for exten/pass if already logged when disconnected. Do a location refresh if the server is restarted and the config has changed

date:        Thu Mar 01 19:38:54 2012 -0300
summary:     fop2admin: Fix sort name/number in fop2admin and version number in module.xml

date:        Thu Mar 01 11:24:22 2012 -0300
summary:     scripts: Remove check for soxmix in recording_fop2.pl as it is already checked before and replaced with sox -m

date:        Tue Feb 28 17:20:19 2012 -0300
summary:     fop2_client: Do not crash javascript if disableWebSockets is not defined

date:        Thu Feb 16 19:23:43 2012 -0300
summary:     fop2_server: Add experimental drag transfers to fop2 server

date:        Tue Feb 14 17:03:59 2012 -0300
summary:     fop2_server: Add fop2context as variable to recording filename

date:        Thu Feb 09 20:15:04 2012 -0300
summary:     fop2_server: Change order in getting the active channel server on spy/whisper to avoid crash if undefined

date:        Thu Feb 09 20:06:04 2012 -0300
summary:     fop2_client: Reenable javascript debug for every command

date:        Thu Feb 09 19:58:24 2012 -0300
summary:     fop2_server: Simplify and fix destination channel to spy/whisper to, fixes user and device mode in freepbx

date:        Thu Feb 09 18:33:47 2012 -0300
summary:     fop2_client: Change effect queue for autocomplete so it works when notification is showing

date:        Wed Feb 08 23:09:11 2012 -0300
summary:     php_scripts: More ereg to preg replaces

date:        Wed Feb 08 23:06:50 2012 -0300
summary:     php_scripts: Replace ereg to preg in php. Fix custombar javascript mods to operator.js

date:        Wed Feb 08 21:19:45 2012 -0300
summary:     fop2_client: Fix notification image when using panel context

date:        Wed Feb 08 19:55:18 2012 -0300
summary:     php_scripts: Add full php tag to language files

date:        Wed Feb 08 16:12:18 2012 -0300
summary:     php_scripts: Accept master password in php client checkauth

date:        Mon Feb 06 20:20:47 2012 -0300
summary:     php_scripts: Add /var/spool/asterisk/monitor/fop2 as a valid download directory

date:        Mon Feb 06 20:19:09 2012 -0300
summary:     fop2admin: Remove closing div in fop2admin. Update to fop2admin 1.2.10

date:        Mon Feb 06 16:12:51 2012 -0300
summary:     fop2_server: Update the qchannel handling so a reload does not overwrite the setting received from the client

date:        Thu Feb 02 19:43:41 2012 -0300
summary:     fop2_client: Set focus to dial text on link, so we can type a number and hit enter for transfer

date:        Thu Feb 02 19:40:17 2012 -0300
summary:     fop2_client: Clear click delegator for custom toolbar and set tooltips

date:        Tue Jan 31 12:32:52 2012 -0300
summary:     fop2_server: Add manager_version and unpause extension button on queue remove

date:        Thu Jan 26 14:56:32 2012 -0300
summary:     fop2_server: Fix multi server spy/whisper and add extra debug lines

date:        Mon Jan 23 13:37:00 2012 -0300
summary:     fop2_server: Fix fop2astdb so it does not remove -session to allow peers with dashes

date:        Fri Jan 06 18:32:26 2012 -0300
summary:     scripts: Fix autoconfig buttons for freepbx without fop2admin adding context to the queue

date:        Thu Jan 05 20:13:04 2012 -0300
summary:     php_scripts: Fix setvar to allow setting context with no auth

date:        Thu Jan 05 16:43:46 2012 -0300
summary:     php_scripts: Fix context (set to uppercase) when checking auth from php

date:        Wed Jan 04 19:18:53 2012 -0300
summary:     fop2_server: Fix pickup active for user and device mode

date:        Tue Jan 03 17:22:41 2012 -0300
summary:     fop2_client: Fix warning on close for chosen select presence in IE9

date:        Thu Dec 29 17:00:51 2011 -0300
summary:     fop2_client: Adds support for passing queuechannel via get-window.name for hot desking call center setups

date:        Wed Dec 28 17:59:50 2011 -0300
summary:     fop2_server, fop2_client: Ensure that white label failed licenses do not show the fop2 brand but an agnostic message in the footer

date:        Thu Dec 22 13:29:34 2011 -0300
summary:     fop2_server, fop2_client: Initial support for confbridge Asterisk 10


-------------------------------
FOP2 Version 2.24
-------------------------------

date:        Thu Dec 15 14:05:07 2011 -0300
summary:     fop2_client: Add flag to optionally disable websockets support

date:        Thu Dec 08 11:07:57 2011 -0300
summary:     fop2_client: Clear dialtext after pressing ENTER and 2 seconds delay

date:        Fri Dec 02 17:13:16 2011 -0300
summary:     fop2_server: Comment by default use_pickupchan as is only working in asterisk 1.8

date:        Fri Dec 02 12:00:12 2011 -0300
summary:     fop2_client, fop2_server: Add queuemember busy-paused state

date:        Fri Dec 02 10:18:26 2011 -0300
summary:     fop2_client, fop2_server: Fix to queue member states using memberstate events, pause separate from state itself

date:        Thu Dec 01 13:08:40 2011 -0300
summary:     php_scripts: Improve setvar with auth using md5. Adds security to other php scripts. 

date:        Thu Dec 01 11:18:16 2011 -0300
summary:     fop2_client: Remove queue options from context menu when appropiate on web client

date:        Tue Nov 29 09:53:38 2011 -0300
summary:     fop2_client: Small fix in index.html to preload the telephone icon

date:        Tue Nov 29 09:47:56 2011 -0300
summary:     fop2_client: Small cosmetic fix in css handle bars and collapse icons

date:        Mon Nov 14 14:09:22 2011 -0300
summary:     fop2admin: Update fop2admin to add sort by name/number buttons

date:        Wed Nov 09 11:46:46 2011 -0300
summary:     fop2_server: Add pickupchan support

date:        Tue Nov 01 20:24:49 2011 -0300
summary:     fop2_client: Fix warning in Internet Explorer (focus in invisible filtertext)

date:        Tue Nov 01 15:50:53 2011 -0300
summary:     fop2_client: Fix selected css for queue, conference and trunk buttons

date:        Tue Nov 01 07:51:24 2011 -0300
summary:     fop2_client: updated russian translation

date:        Mon Oct 31 11:58:33 2011 -0300
summary:     scripts: Fix typo in deprecated extensions_override_freepbx.conf

date:        Sun Oct 30 16:06:24 2011 -0300
summary:     fop2admin: Update fop2admin version to 1.2.9

date:        Sat Oct 29 20:19:54 2011 -0300
summary:     fop2_server: Use asterisk 1.8 fields for callerid only on ringing state

date:        Fri Oct 28 17:56:10 2011 -0300
summary:     fop2_server: Update fop2_server to use asterisk 1.8 ConnectedLine fields for callerid if available

date:        Thu Oct 27 09:31:32 2011 -0300
summary:     fop2_client: Improve change language handling, including chosen selector, placeholder and change from preferences

date:        Wed Oct 26 23:40:57 2011 -0300
summary:     fop2_client: Add greek language, add dialpad and style changes, fop/rtmp support

date:        Mon Oct 24 16:45:26 2011 -0300
summary:     scripts: strip possible spaces from db pass in autoconfig scripts

date:        Mon Oct 24 16:29:50 2011 -0300
summary:     scripts: Fix autoconfig scripts so AMPDBPASS with equal signs are ok

date:        Mon Oct 24 14:17:53 2011 -0300
summary:     fop2_client: Fix IE9 sort in fop2admin. Fix install for queuechannel with single quotes

date:        Sat Oct 08 12:01:06 2011 -0300
summary:     fop2_client: Update client UI, using Chosen, drag drop order of sections, round borders, etc

date:        Sat Oct 08 11:48:24 2011 -0300
summary:     fop2_client: Update client UI to use placeholder text

date:        Thu Oct 06 14:32:25 2011 -0300
summary:     fop2admin, scripts: Add drag & drop sort ordering to fop2admin and update autoconfig-buttons accordingly

date:        Thu Oct 06 10:46:57 2011 -0300
summary:     scripts: Update autoconfig-buttons to not bail out if fop2admin is not up to date, excluding fields that are not yet there from queries

date:        Wed Oct 05 18:34:19 2011 -0300
summary:     fop2_client: Fix toolbar and menu items disabling based on custom permissions. Added placeholder to search and dial boxes

date:        Tue Oct 04 18:19:56 2011 -0300
summary:     fop2_client: Add croatian lang_cr.js

date:        Tue Oct 04 15:12:29 2011 -0300
summary:     fop2_server: Fix custom userevents for queue channels and multiserver

date:        Tue Oct 04 08:48:09 2011 -0300
summary:     fop2_server: Fix casing on multiserver queue setup for alpha named queues

date:        Mon Oct 03 22:18:30 2011 -0300
summary:     fop2_server: Complete support for multiserver support in queue and related actions

date:        Fri Sep 30 11:21:14 2011 -0300
summary:     fop2_client: Add tags to button configuration and display filter, so you can filter by tags

date:        Fri Sep 30 09:58:14 2011 -0300
summary:     fop2_client: Add extracss parameter to button configuration to specify extra css class to buttons

date:        Fri Sep 30 09:32:56 2011 -0300
summary:     fop2_client: Fix firstpad toolbar left padding when no action bar and no logged user

date:        Thu Sep 29 20:53:41 2011 -0300
summary:     fop2_client: Add noExtenInLabel option to make extension in labels optional

date:        Tue Sep 27 10:18:39 2011 -0300
summary:     fop2admin: Update fop2admin to 1.2.8. Do not create users on upgrade, fix quote and originatechannel

date:        Tue Sep 27 09:31:36 2011 -0300
summary:     fop2_client: Revert extension login field to type text instead of number

date:        Fri Sep 23 19:56:31 2011 -0300
summary:     scripts: Add full path to buttons_cutoms.cfg in autoconfig script


-------------------------------
FOP2 Version 2.23
-------------------------------

date:        Wed Sep 21 09:59:23 2011 -0300
summary:     fop2_server: Fix permission set to empty after performing action and login off, causing spy to fail

date:        Wed Sep 21 09:02:43 2011 -0300
summary:     fop2admin: Fix queuemember line for static member in fop2admin

date:        Mon Sep 19 19:09:37 2011 -0300
summary:     fop2_client: Add cookie to preserve sms box status

date:        Mon Sep 19 18:41:22 2011 -0300
summary:     fop2_client: Fix collapse of sms sending box

date:        Thu Sep 15 17:11:18 2011 -0300
summary:     fop2_client: Use window.name for auth information in fop2. Fix disabling sms action menu

date:        Mon Aug 29 20:48:46 2011 -0300
summary:     fop2_client: Remove warning on sms send from sms box

date:        Mon Aug 29 18:17:43 2011 -0300
summary:     fop2_client: Fix destination button when sending sms from extension

date:        Fri Aug 19 12:14:58 2011 -0300
summary:     fop2_server: Fix Allow type trunk if no exten,context defined in buttons.cfg

date:        Fri Aug 19 11:27:37 2011 -0300
summary:     fop2admin: Fix another escaping in fop2admin for queuechannel

date:        Fri Aug 19 11:18:25 2011 -0300
summary:     fop2admin: Update fop2admin version to 1.2.7

date:        Fri Aug 19 09:53:22 2011 -0300
summary:     fop2_client: Update scriptaculous to 1.9.0

date:        Tue Aug 16 17:10:47 2011 -0300
summary:     fop2_server: Honor user and device mode in fop2astdb/presence change

date:        Tue Aug 16 12:33:12 2011 -0300
summary:     fop2_client: Fix timer in park when checking for parkTimeout[context] for forward timers

date:        Tue Aug 16 12:18:43 2011 -0300
summary:     fop2_server: Refactor park call pickup and fop2-park context to make it parklot aware by default. Query asterisk for park channel for pickup as attendant transfer to park reports incorrect data

date:        Mon Aug 15 17:35:32 2011 -0300
summary:     fop2_server: Refactor park code to use Exten/Slot as index and avoid channel name madness

date:        Mon Aug 15 17:33:42 2011 -0300
summary:     scripts: Update generate-override-contexts fop2 park context to a modern one

date:        Thu Aug 11 19:18:46 2011 -0300
summary:     fop2_client: Add reset button to send sms form

date:        Thu Aug 11 15:14:30 2011 -0300
summary:     fop2_server, fop2_client: Only display sms options if there is a khomp card configured or detected

date:        Thu Aug 11 12:21:52 2011 -0300
summary:     fop2_client: Patch prototype to fix glitch with incorrect position on aborted drag in voicemail

date:        Wed Aug 10 19:24:09 2011 -0300
summary:     scripts: Add Khomp info to cfg and readme


-------------------------------
FOP2 Version 2.22
-------------------------------


date:        Wed Aug 10 19:01:52 2011 -0300
summary:     fop2_server: Update fop2_server to support websockets hybi version 10

date:        Mon Aug 08 18:45:11 2011 -0300
summary:     fop2_server, fop2_client: Finish SMS integration for khomp. Added permission checking, status and ui updates

date:        Mon Aug 08 12:16:43 2011 -0300
summary:     php_scripts: Fix dbgrid delete marked

date:        Mon Aug 08 10:32:26 2011 -0300
summary:     fop2_client: Update index for send sms box, correct label, styled

date:        Mon Aug 08 09:48:12 2011 -0300
summary:     scripts: Fix single quote not escaped on queuechannel fop2buttons field

date:        Fri Aug 05 20:59:42 2011 -0300
summary:     fop2_server: Add sms and smsmanager permissions

date:        Fri Aug 05 20:58:20 2011 -0300
summary:     fop2admin: Remove unexistent 'whisper' permission and use the correct 'spy' instead

date:        Fri Aug 05 20:27:44 2011 -0300
summary:     fop2_client: Do not show sms action submenu if no external number defined and permissions set to all

date:        Fri Aug 05 20:10:58 2011 -0300
summary:     fop2_server, fop2_client: Add SMS support to server and client. Refactor context menu and toolbar. Initial websocket v8 handshake support.

date:        Wed Aug 03 20:46:41 2011 -0300
summary:     fop2_client: Add div block for sending SMS

date:        Wed Aug 03 20:42:42 2011 -0300
summary:     fop2_client: Update .css for sms icon menu

date:        Wed Aug 03 20:40:23 2011 -0300
summary:     fop2_client: Update sprites to include sms icon

date:        Wed Aug 03 20:30:02 2011 -0300
summary:     fop2_cilent: Fix builtin call notifications for prototype 1.7

date:        Mon Jul 25 18:22:15 2011 -0300
summary:     php_scripts: Fix check all on dbgrid

date:        Mon Jul 25 17:21:13 2011 -0300
summary:     fop2_client: Fix form fields for iPad

date:        Mon Jul 25 16:57:19 2011 -0300
summary:     fop2_client: Reduce pad in toolbar so all buttons shows on iPad


-------------------------------
FOP2 Version 2.21
-------------------------------

date:        Mon Jul 25 16:34:35 2011 -0300
summary:     fop2_client: Fix client presence

date:        Wed Jul 20 14:00:25 2011 -0300
summary:     scripts: Update debian init to use /etc/default/fop2 and include the options file

date:        Tue Jul 19 19:11:44 2011 -0300
summary:     scripts: Fix Makefile to only install sysconfig/fop2 if it does not exist

date:        Tue Jul 19 19:01:05 2011 -0300
summary:     scripts: Update fop2 init script to read sysconfig/fop2 options

date:        Tue Jul 19 18:49:58 2011 -0300
summary:     scripts: Update init script for redhat to use sysconfig/fop2 for options

date:        Tue Jul 19 18:44:14 2011 -0300
summary:     scripts: Make recording_fop2.pl more resilient, use amportal.conf if exists, create fop2recordings table if needed.

date:        Tue Jul 19 17:09:41 2011 -0300
summary:     scripts: Rename fop2 recording script and make it more resilient to sox versions

date:        Mon Jul 18 18:31:30 2011 -0300
summary:     scripts: Import data from fop2.visual_phonebook using config.old.php into new asterisk.visual_phonebook

date:        Fri Jul 15 19:47:40 2011 -0300
summary:     php_scripts: Make config.php use freepbx credentials if manual credentials fail

date:        Fri Jul 15 16:59:51 2011 -0300
summary:     scripts: Deprecate extensions_override_freepbx.conf

date:        Thu Jul 14 17:58:09 2011 -0300
summary:     php_scripts: Update on phonebook.php and recordings.php to try to make them autoconfigurables. Update Makefile

date:        Wed Jul 13 15:22:51 2011 -0300
summary:     php_scripts: Create fop2recordings automatically if not existant. More elegant denial message when no session.

date:        Tue Jul 12 10:29:32 2011 -0300
summary:     php_scripts: Little style fix in table grid toolbar

date:        Tue Jul 12 10:18:00 2011 -0300
summary:     php_scripts: Change name for fop2recording script and delimiter to _. Set language in php from .js settings or preferences

date:        Tue Jul 05 18:18:48 2011 -0300
summary:     fop2_server, fop2_client: Fix json on fop2_server to make it work with prototype1.7

date:        Tue Jul 05 16:35:55 2011 -0300
summary:     php_scripts: Update config.php so it reads amportal.conf

date:        Tue Jul 05 15:25:16 2011 -0300
summary:     fop2_client: Update prototypejs to 1.7. Related fixes. Improve css style for dbgrid

date:        Mon Jul 04 17:25:58 2011 -0300
summary:     fop2_client: Italian translation updates



